# Base MPEG-TS descriptors

These are the base descriptor types and methods.

For more details, refer to the ITU H.222.0 or ISO/IEC 13818-1 specifications and other specifications mentioned in the documentation.

## GstMpegtsDescriptor

Mpeg-TS descriptor (ISO/IEC 13818-1).

### Members

`tag` (guint8) –

the type of descriptor

`tag_extension` (guint8) –

the extended type (if descriptor_tag is 0x7f)

`length` (guint8) –

the length of the descriptor content (excluding tag/length field)

`data` (guint8*) –

the full descriptor data (including tag, extension, length). The first two bytes are the tag and length.

## GstMpegts.Descriptor

Mpeg-TS descriptor (ISO/IEC 13818-1).

### Members

`tag` (Number) –

the type of descriptor

`tag_extension` (Number) –

the extended type (if descriptor_tag is 0x7f)

`length` (Number) –

the length of the descriptor content (excluding tag/length field)

`data` (Number) –

the full descriptor data (including tag, extension, length). The first two bytes are the tag and length.

## GstMpegts.Descriptor

Mpeg-TS descriptor (ISO/IEC 13818-1).

### Members

`tag` (int) –

the type of descriptor

`tag_extension` (int) –

the extended type (if descriptor_tag is 0x7f)

`length` (int) –

the length of the descriptor content (excluding tag/length field)

`data` (int) –

the full descriptor data (including tag, extension, length). The first two bytes are the tag and length.

### Methods

#### gst_mpegts_descriptor_free

    gst_mpegts_descriptor_free (GstMpegtsDescriptor * desc)

Frees desc

Parameters:

`desc` –

The descriptor to free

#### GstMpegts.Descriptor.prototype.free

    function GstMpegts.Descriptor.prototype.free(): {
        // javascript wrapper for 'gst_mpegts_descriptor_free'
    }

Frees desc

Parameters:

`desc` (GstMpegts.Descriptor) –

The descriptor to free

#### GstMpegts.Descriptor.free

    def GstMpegts.Descriptor.free (self):
        #python wrapper for 'gst_mpegts_descriptor_free'

Frees desc

Parameters:

`desc` (GstMpegts.Descriptor) –

The descriptor to free

#### gst_mpegts_descriptor_parse_audio_preselection_list

    gboolean
    gst_mpegts_descriptor_parse_audio_preselection_list (const GstMpegtsDescriptor * descriptor,
                                                         GPtrArray ** list)

Parses out a list of audio preselection from the descriptor.

Parameters:

`descriptor` –

a GST_MTS_DESC_EXT_DVB_AUDIO_PRESELECTION GstMpegtsDescriptor

`list` –

(out) (transfer full) (element-type GstMpegtsAudioPreselectionDescriptor): the list of audio preselection

Returns –

TRUE if the parsing happened correctly, else FALSE.

Since : 1.20

#### GstMpegts.Descriptor.prototype.parse_audio_preselection_list

    function GstMpegts.Descriptor.prototype.parse_audio_preselection_list(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_audio_preselection_list'
    }

Parses out a list of audio preselection from the descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBExtendedDescriptorType.AUDIO_PRESELECTION GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if the parsing happened correctly, else FALSE.

`list` ([ GstMpegts.AudioPreselectionDescriptor ] ) –

TRUE if the parsing happened correctly, else FALSE.

Since : 1.20

#### GstMpegts.Descriptor.parse_audio_preselection_list

    def GstMpegts.Descriptor.parse_audio_preselection_list (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_audio_preselection_list'

Parses out a list of audio preselection from the descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBExtendedDescriptorType.AUDIO_PRESELECTION GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if the parsing happened correctly, else FALSE.

`list` ([ GstMpegts.AudioPreselectionDescriptor ] ) –

TRUE if the parsing happened correctly, else FALSE.

Since : 1.20

#### gst_mpegts_descriptor_parse_ca

    gboolean
    gst_mpegts_descriptor_parse_ca (GstMpegtsDescriptor * descriptor,
                                    guint16* ca_system_id,
                                    guint16* ca_pid,
                                    const guint8** private_data,
                                    gsize* private_data_size)

Extracts the Conditional Access information from descriptor.

Parameters:

`descriptor` –

a GST_MTS_DESC_CA GstMpegtsDescriptor

`ca_system_id` ( [out]) –

the type of CA system used

`ca_pid` ( [out]) –

The PID containing ECM or EMM data

`private_data` ( [out][allow-none][arraylength=private_data_size]) –

The private data

`private_data_size` ( [out][allow-none]) –

The size of private_data in bytes

Returns –

TRUE if parsing succeeded, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_ca

    function GstMpegts.Descriptor.prototype.parse_ca(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_ca'
    }

Extracts the Conditional Access information from descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DescriptorType.CA GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if parsing succeeded, else FALSE.

`ca_system_id` (Number ) –

TRUE if parsing succeeded, else FALSE.

`ca_pid` (Number ) –

TRUE if parsing succeeded, else FALSE.

`private_data` ([ Number ] ) –

TRUE if parsing succeeded, else FALSE.

`private_data_size` (Number ) –

TRUE if parsing succeeded, else FALSE.

#### GstMpegts.Descriptor.parse_ca

    def GstMpegts.Descriptor.parse_ca (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_ca'

Extracts the Conditional Access information from descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DescriptorType.CA GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if parsing succeeded, else FALSE.

`ca_system_id` (int ) –

TRUE if parsing succeeded, else FALSE.

`ca_pid` (int ) –

TRUE if parsing succeeded, else FALSE.

`private_data` ([ int ] ) –

TRUE if parsing succeeded, else FALSE.

`private_data_size` (int ) –

TRUE if parsing succeeded, else FALSE.

#### gst_mpegts_descriptor_parse_cable_delivery_system

    gboolean
    gst_mpegts_descriptor_parse_cable_delivery_system (const GstMpegtsDescriptor * descriptor,
                                                       GstMpegtsCableDeliverySystemDescriptor * res)

Extracts the cable delivery system information from descriptor.

Parameters:

`descriptor` –

a GST_MTS_DESC_DVB_CABLE_DELIVERY_SYSTEM GstMpegtsDescriptor

`res` ( [out][transfer: none]) –

the GstMpegtsCableDeliverySystemDescriptor to fill

Returns –

TRUE if parsing succeeded, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_cable_delivery_system

    function GstMpegts.Descriptor.prototype.parse_cable_delivery_system(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_cable_delivery_system'
    }

Extracts the cable delivery system information from descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.CABLE_DELIVERY_SYSTEM GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if parsing succeeded, else FALSE.

`res` (GstMpegts.CableDeliverySystemDescriptor ) –

TRUE if parsing succeeded, else FALSE.

#### GstMpegts.Descriptor.parse_cable_delivery_system

    def GstMpegts.Descriptor.parse_cable_delivery_system (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_cable_delivery_system'

Extracts the cable delivery system information from descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.CABLE_DELIVERY_SYSTEM GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if parsing succeeded, else FALSE.

`res` (GstMpegts.CableDeliverySystemDescriptor ) –

TRUE if parsing succeeded, else FALSE.

#### gst_mpegts_descriptor_parse_dvb_bouquet_name

    gboolean
    gst_mpegts_descriptor_parse_dvb_bouquet_name (const GstMpegtsDescriptor * descriptor,
                                                  gchar** bouquet_name)

Extracts the bouquet name from descriptor.

Parameters:

`descriptor` –
No description available
`bouquet_name` ( [out][transfer: full][allow-none]) –

the bouquet name

Returns –

TRUE if parsing succeeded, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_dvb_bouquet_name

    function GstMpegts.Descriptor.prototype.parse_dvb_bouquet_name(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_dvb_bouquet_name'
    }

Extracts the bouquet name from descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –
No description available

Returns a tuple made of:

(Number ) –

TRUE if parsing succeeded, else FALSE.

`bouquet_name` (String ) –

TRUE if parsing succeeded, else FALSE.

#### GstMpegts.Descriptor.parse_dvb_bouquet_name

    def GstMpegts.Descriptor.parse_dvb_bouquet_name (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_dvb_bouquet_name'

Extracts the bouquet name from descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –
No description available

Returns a tuple made of:

(bool ) –

TRUE if parsing succeeded, else FALSE.

`bouquet_name` (str ) –

TRUE if parsing succeeded, else FALSE.

#### gst_mpegts_descriptor_parse_dvb_ca_identifier

    gboolean
    gst_mpegts_descriptor_parse_dvb_ca_identifier (const GstMpegtsDescriptor * descriptor,
                                                   GArray ** list)

Extracts ca id's from descriptor.

Parameters:

`descriptor` –

a GST_MTS_DESC_DVB_CA_IDENTIFIER GstMpegtsDescriptor

`list` ( [out][transfer: full][element-typeguint16]) –

a list of ca identifier. Edge entry identifies the CA system. Allocations of the value of this field are found in http://www.dvbservices.com

Returns –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_dvb_ca_identifier

    function GstMpegts.Descriptor.prototype.parse_dvb_ca_identifier(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_dvb_ca_identifier'
    }

Extracts ca id's from descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.CA_IDENTIFIER GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if the parsing happened correctly, else FALSE.

`list` ([ Number ] ) –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.parse_dvb_ca_identifier

    def GstMpegts.Descriptor.parse_dvb_ca_identifier (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_dvb_ca_identifier'

Extracts ca id's from descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.CA_IDENTIFIER GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if the parsing happened correctly, else FALSE.

`list` ([ int ] ) –

TRUE if the parsing happened correctly, else FALSE.

#### gst_mpegts_descriptor_parse_dvb_component

    gboolean
    gst_mpegts_descriptor_parse_dvb_component (const GstMpegtsDescriptor * descriptor,
                                               GstMpegtsComponentDescriptor ** res)

Extracts the DVB component information from descriptor.

Parameters:

`descriptor` –

a GST_MTS_DESC_DVB_COMPONENT GstMpegtsDescriptor

`res` ( [out][transfer: full]) –

the GstMpegtsComponentDescriptor to fill

Returns –

TRUE if parsing succeeded, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_dvb_component

    function GstMpegts.Descriptor.prototype.parse_dvb_component(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_dvb_component'
    }

Extracts the DVB component information from descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.COMPONENT GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if parsing succeeded, else FALSE.

`res` (GstMpegts.ComponentDescriptor ) –

TRUE if parsing succeeded, else FALSE.

#### GstMpegts.Descriptor.parse_dvb_component

    def GstMpegts.Descriptor.parse_dvb_component (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_dvb_component'

Extracts the DVB component information from descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.COMPONENT GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if parsing succeeded, else FALSE.

`res` (GstMpegts.ComponentDescriptor ) –

TRUE if parsing succeeded, else FALSE.

#### gst_mpegts_descriptor_parse_dvb_content

    gboolean
    gst_mpegts_descriptor_parse_dvb_content (const GstMpegtsDescriptor * descriptor,
                                             GPtrArray ** content)

Extracts the DVB content information from descriptor.

Parameters:

`descriptor` –

a GST_MTS_DESC_DVB_CONTENT GstMpegtsDescriptor

`content` ( [out][transfer: full][element-typeGstMpegtsContent]) –

GstMpegtsContent

Returns –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_dvb_content

    function GstMpegts.Descriptor.prototype.parse_dvb_content(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_dvb_content'
    }

Extracts the DVB content information from descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.CONTENT GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if the parsing happened correctly, else FALSE.

`content` ([ GstMpegts.Content ] ) –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.parse_dvb_content

    def GstMpegts.Descriptor.parse_dvb_content (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_dvb_content'

Extracts the DVB content information from descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.CONTENT GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if the parsing happened correctly, else FALSE.

`content` ([ GstMpegts.Content ] ) –

TRUE if the parsing happened correctly, else FALSE.

#### gst_mpegts_descriptor_parse_dvb_data_broadcast

    gboolean
    gst_mpegts_descriptor_parse_dvb_data_broadcast (const GstMpegtsDescriptor * descriptor,
                                                    GstMpegtsDataBroadcastDescriptor ** res)

Parses out the data broadcast from the descriptor.

Parameters:

`descriptor` –

a GST_MTS_DESC_DVB_DATA_BROADCAST GstMpegtsDescriptor

`res` ( [out][transfer: full]) –

GstMpegtsDataBroadcastDescriptor

Returns –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_dvb_data_broadcast

    function GstMpegts.Descriptor.prototype.parse_dvb_data_broadcast(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_dvb_data_broadcast'
    }

Parses out the data broadcast from the descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.DATA_BROADCAST GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if the parsing happened correctly, else FALSE.

`res` (GstMpegts.DataBroadcastDescriptor ) –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.parse_dvb_data_broadcast

    def GstMpegts.Descriptor.parse_dvb_data_broadcast (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_dvb_data_broadcast'

Parses out the data broadcast from the descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.DATA_BROADCAST GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if the parsing happened correctly, else FALSE.

`res` (GstMpegts.DataBroadcastDescriptor ) –

TRUE if the parsing happened correctly, else FALSE.

#### gst_mpegts_descriptor_parse_dvb_data_broadcast_id

    gboolean
    gst_mpegts_descriptor_parse_dvb_data_broadcast_id (const GstMpegtsDescriptor * descriptor,
                                                       guint16* data_broadcast_id,
                                                       guint8** id_selector_bytes,
                                                       guint8* len)

Parses out the data broadcast id from the descriptor.

Parameters:

`descriptor` –

a GST_MTS_DESC_DVB_DATA_BROADCAST_ID GstMpegtsDescriptor

`data_broadcast_id` ( [out]) –

the data broadcast id

`id_selector_bytes` ( [out][transfer: full][arraylength=len]) –

the selector bytes, if present

`len` ( [out]) –

the length of id_selector_bytes

Returns –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_dvb_data_broadcast_id

    function GstMpegts.Descriptor.prototype.parse_dvb_data_broadcast_id(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_dvb_data_broadcast_id'
    }

Parses out the data broadcast id from the descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.DATA_BROADCAST_ID GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if the parsing happened correctly, else FALSE.

`data_broadcast_id` (Number ) –

TRUE if the parsing happened correctly, else FALSE.

`id_selector_bytes` ([ Number ] ) –

TRUE if the parsing happened correctly, else FALSE.

`len` (Number ) –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.parse_dvb_data_broadcast_id

    def GstMpegts.Descriptor.parse_dvb_data_broadcast_id (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_dvb_data_broadcast_id'

Parses out the data broadcast id from the descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.DATA_BROADCAST_ID GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if the parsing happened correctly, else FALSE.

`data_broadcast_id` (int ) –

TRUE if the parsing happened correctly, else FALSE.

`id_selector_bytes` ([ int ] ) –

TRUE if the parsing happened correctly, else FALSE.

`len` (int ) –

TRUE if the parsing happened correctly, else FALSE.

#### gst_mpegts_descriptor_parse_dvb_extended_event

    gboolean
    gst_mpegts_descriptor_parse_dvb_extended_event (const GstMpegtsDescriptor * descriptor,
                                                    GstMpegtsExtendedEventDescriptor ** res)

Extracts the DVB extended event information from descriptor.

Parameters:

`descriptor` –

a GST_MTS_DESC_DVB_EXTENDED_EVENT GstMpegtsDescriptor

`res` ( [out][transfer: full]) –

the GstMpegtsExtendedEventDescriptor to fill

Returns –

TRUE if parsing succeeded, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_dvb_extended_event

    function GstMpegts.Descriptor.prototype.parse_dvb_extended_event(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_dvb_extended_event'
    }

Extracts the DVB extended event information from descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.EXTENDED_EVENT GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if parsing succeeded, else FALSE.

`res` (GstMpegts.ExtendedEventDescriptor ) –

TRUE if parsing succeeded, else FALSE.

#### GstMpegts.Descriptor.parse_dvb_extended_event

    def GstMpegts.Descriptor.parse_dvb_extended_event (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_dvb_extended_event'

Extracts the DVB extended event information from descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.EXTENDED_EVENT GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if parsing succeeded, else FALSE.

`res` (GstMpegts.ExtendedEventDescriptor ) –

TRUE if parsing succeeded, else FALSE.

#### gst_mpegts_descriptor_parse_dvb_frequency_list

    gboolean
    gst_mpegts_descriptor_parse_dvb_frequency_list (const GstMpegtsDescriptor * descriptor,
                                                    gboolean* offset,
                                                    GArray ** list)

Parses out a list of frequencies from the descriptor.

Parameters:

`descriptor` –

a GST_MTS_DESC_DVB_FREQUENCY_LIST GstMpegtsDescriptor

`offset` ( [out]) –

FALSE in Hz, TRUE in kHz

`list` ( [out][transfer: full][element-typeguint32]) –

a list of all frequencies in Hz/kHz depending on offset

Returns –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_dvb_frequency_list

    function GstMpegts.Descriptor.prototype.parse_dvb_frequency_list(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_dvb_frequency_list'
    }

Parses out a list of frequencies from the descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.FREQUENCY_LIST GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if the parsing happened correctly, else FALSE.

`offset` (Number ) –

TRUE if the parsing happened correctly, else FALSE.

`list` ([ Number ] ) –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.parse_dvb_frequency_list

    def GstMpegts.Descriptor.parse_dvb_frequency_list (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_dvb_frequency_list'

Parses out a list of frequencies from the descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.FREQUENCY_LIST GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if the parsing happened correctly, else FALSE.

`offset` (bool ) –

TRUE if the parsing happened correctly, else FALSE.

`list` ([ int ] ) –

TRUE if the parsing happened correctly, else FALSE.

#### gst_mpegts_descriptor_parse_dvb_linkage

    gboolean
    gst_mpegts_descriptor_parse_dvb_linkage (const GstMpegtsDescriptor * descriptor,
                                             GstMpegtsDVBLinkageDescriptor ** res)

Extracts the DVB linkage information from descriptor.

Parameters:

`descriptor` –

a GST_MTS_DESC_DVB_LINKAGE GstMpegtsDescriptor

`res` ( [out][transfer: full]) –

the GstMpegtsDVBLinkageDescriptor to fill

Returns –

TRUE if parsing succeeded, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_dvb_linkage

    function GstMpegts.Descriptor.prototype.parse_dvb_linkage(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_dvb_linkage'
    }

Extracts the DVB linkage information from descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.LINKAGE GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if parsing succeeded, else FALSE.

`res` (GstMpegts.DVBLinkageDescriptor ) –

TRUE if parsing succeeded, else FALSE.

#### GstMpegts.Descriptor.parse_dvb_linkage

    def GstMpegts.Descriptor.parse_dvb_linkage (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_dvb_linkage'

Extracts the DVB linkage information from descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.LINKAGE GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if parsing succeeded, else FALSE.

`res` (GstMpegts.DVBLinkageDescriptor ) –

TRUE if parsing succeeded, else FALSE.

#### gst_mpegts_descriptor_parse_dvb_multilingual_bouquet_name

    gboolean
    gst_mpegts_descriptor_parse_dvb_multilingual_bouquet_name (const GstMpegtsDescriptor * descriptor,
                                                               GPtrArray ** bouquet_name_items)

Parses out the multilingual bouquet name from the descriptor.

Parameters:

`descriptor` –

a GST_MTS_DESC_DVB_MULTILINGUAL_BOUQUET_NAME GstMpegtsDescriptor

`bouquet_name_items` –

(out) (transfer full) (element-type GstMpegtsDvbMultilingualBouquetNameItem): a GstMpegtsDvbMultilingualBouquetNameItem

Returns –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_dvb_multilingual_bouquet_name

    function GstMpegts.Descriptor.prototype.parse_dvb_multilingual_bouquet_name(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_dvb_multilingual_bouquet_name'
    }

Parses out the multilingual bouquet name from the descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.MULTILINGUAL_BOUQUET_NAME GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if the parsing happened correctly, else FALSE.

`bouquet_name_items` ([ GstMpegts.DvbMultilingualBouquetNameItem ] ) –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.parse_dvb_multilingual_bouquet_name

    def GstMpegts.Descriptor.parse_dvb_multilingual_bouquet_name (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_dvb_multilingual_bouquet_name'

Parses out the multilingual bouquet name from the descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.MULTILINGUAL_BOUQUET_NAME GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if the parsing happened correctly, else FALSE.

`bouquet_name_items` ([ GstMpegts.DvbMultilingualBouquetNameItem ] ) –

TRUE if the parsing happened correctly, else FALSE.

#### gst_mpegts_descriptor_parse_dvb_multilingual_component

    gboolean
    gst_mpegts_descriptor_parse_dvb_multilingual_component (const GstMpegtsDescriptor * descriptor,
                                                            guint8* component_tag,
                                                            GPtrArray ** component_description_items)

Parses out the multilingual component from the descriptor.

Parameters:

`descriptor` –

a GST_MTS_DESC_DVB_MULTILINGUAL_COMPONENT GstMpegtsDescriptor

`component_tag` ( [out]) –

the component tag

`component_description_items` –

(out) (transfer full) (element-type GstMpegtsDvbMultilingualComponentItem): a GstMpegtsDvbMultilingualComponentItem

Returns –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_dvb_multilingual_component

    function GstMpegts.Descriptor.prototype.parse_dvb_multilingual_component(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_dvb_multilingual_component'
    }

Parses out the multilingual component from the descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.MULTILINGUAL_COMPONENT GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if the parsing happened correctly, else FALSE.

`component_tag` (Number ) –

TRUE if the parsing happened correctly, else FALSE.

`component_description_items` ([ GstMpegts.DvbMultilingualComponentItem ] ) –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.parse_dvb_multilingual_component

    def GstMpegts.Descriptor.parse_dvb_multilingual_component (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_dvb_multilingual_component'

Parses out the multilingual component from the descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.MULTILINGUAL_COMPONENT GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if the parsing happened correctly, else FALSE.

`component_tag` (int ) –

TRUE if the parsing happened correctly, else FALSE.

`component_description_items` ([ GstMpegts.DvbMultilingualComponentItem ] ) –

TRUE if the parsing happened correctly, else FALSE.

#### gst_mpegts_descriptor_parse_dvb_multilingual_network_name

    gboolean
    gst_mpegts_descriptor_parse_dvb_multilingual_network_name (const GstMpegtsDescriptor * descriptor,
                                                               GPtrArray ** network_name_items)

Parses out the multilingual network name from the descriptor.

Parameters:

`descriptor` –

a GST_MTS_DESC_DVB_MULTILINGUAL_NETWORK_NAME GstMpegtsDescriptor

`network_name_items` –

(out) (transfer full) (element-type GstMpegtsDvbMultilingualNetworkNameItem): a GstMpegtsDvbMultilingualNetworkNameItem

Returns –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_dvb_multilingual_network_name

    function GstMpegts.Descriptor.prototype.parse_dvb_multilingual_network_name(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_dvb_multilingual_network_name'
    }

Parses out the multilingual network name from the descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.MULTILINGUAL_NETWORK_NAME GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if the parsing happened correctly, else FALSE.

`network_name_items` ([ GstMpegts.DvbMultilingualNetworkNameItem ] ) –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.parse_dvb_multilingual_network_name

    def GstMpegts.Descriptor.parse_dvb_multilingual_network_name (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_dvb_multilingual_network_name'

Parses out the multilingual network name from the descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.MULTILINGUAL_NETWORK_NAME GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if the parsing happened correctly, else FALSE.

`network_name_items` ([ GstMpegts.DvbMultilingualNetworkNameItem ] ) –

TRUE if the parsing happened correctly, else FALSE.

#### gst_mpegts_descriptor_parse_dvb_multilingual_service_name

    gboolean
    gst_mpegts_descriptor_parse_dvb_multilingual_service_name (const GstMpegtsDescriptor * descriptor,
                                                               GPtrArray ** service_name_items)

Parses out the multilingual service name from the descriptor.

Parameters:

`descriptor` –

a GST_MTS_DESC_DVB_MULTILINGUAL_SERVICE_NAME GstMpegtsDescriptor

`service_name_items` –

(out) (transfer full) (element-type GstMpegtsDvbMultilingualServiceNameItem): a GstMpegtsDvbMultilingualServiceNameItem

Returns –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_dvb_multilingual_service_name

    function GstMpegts.Descriptor.prototype.parse_dvb_multilingual_service_name(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_dvb_multilingual_service_name'
    }

Parses out the multilingual service name from the descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.MULTILINGUAL_SERVICE_NAME GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if the parsing happened correctly, else FALSE.

`service_name_items` ([ GstMpegts.DvbMultilingualServiceNameItem ] ) –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.parse_dvb_multilingual_service_name

    def GstMpegts.Descriptor.parse_dvb_multilingual_service_name (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_dvb_multilingual_service_name'

Parses out the multilingual service name from the descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.MULTILINGUAL_SERVICE_NAME GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if the parsing happened correctly, else FALSE.

`service_name_items` ([ GstMpegts.DvbMultilingualServiceNameItem ] ) –

TRUE if the parsing happened correctly, else FALSE.

#### gst_mpegts_descriptor_parse_dvb_network_name

    gboolean
    gst_mpegts_descriptor_parse_dvb_network_name (const GstMpegtsDescriptor * descriptor,
                                                  gchar** name)

Parses out the dvb network name from the descriptor:

Parameters:

`descriptor` –

a GST_MTS_DESC_DVB_NETWORK_NAME GstMpegtsDescriptor

`name` ( [out][transfer: full]) –

the extracted name

Returns –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_dvb_network_name

    function GstMpegts.Descriptor.prototype.parse_dvb_network_name(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_dvb_network_name'
    }

Parses out the dvb network name from the descriptor:

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.NETWORK_NAME GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if the parsing happened correctly, else FALSE.

`name` (String ) –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.parse_dvb_network_name

    def GstMpegts.Descriptor.parse_dvb_network_name (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_dvb_network_name'

Parses out the dvb network name from the descriptor:

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.NETWORK_NAME GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if the parsing happened correctly, else FALSE.

`name` (str ) –

TRUE if the parsing happened correctly, else FALSE.

#### gst_mpegts_descriptor_parse_dvb_parental_rating

    gboolean
    gst_mpegts_descriptor_parse_dvb_parental_rating (const GstMpegtsDescriptor * descriptor,
                                                     GPtrArray ** rating)

Extracts the DVB parental rating information from descriptor.

Parameters:

`descriptor` –

a GST_MTS_DESC_DVB_PARENTAL_RATING GstMpegtsDescriptor

`rating` –

(out) (transfer full) (element-type GstMpegtsDVBParentalRatingItem): GstMpegtsDVBParentalRatingItem

Returns –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_dvb_parental_rating

    function GstMpegts.Descriptor.prototype.parse_dvb_parental_rating(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_dvb_parental_rating'
    }

Extracts the DVB parental rating information from descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.PARENTAL_RATING GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if the parsing happened correctly, else FALSE.

`rating` ([ GstMpegts.DVBParentalRatingItem ] ) –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.parse_dvb_parental_rating

    def GstMpegts.Descriptor.parse_dvb_parental_rating (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_dvb_parental_rating'

Extracts the DVB parental rating information from descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.PARENTAL_RATING GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if the parsing happened correctly, else FALSE.

`rating` ([ GstMpegts.DVBParentalRatingItem ] ) –

TRUE if the parsing happened correctly, else FALSE.

#### gst_mpegts_descriptor_parse_dvb_private_data_specifier

    gboolean
    gst_mpegts_descriptor_parse_dvb_private_data_specifier (const GstMpegtsDescriptor * descriptor,
                                                            guint32* private_data_specifier,
                                                            guint8** private_data,
                                                            guint8* length)

Parses out the private data specifier from the descriptor.

Parameters:

`descriptor` –

a GST_MTS_DESC_DVB_PRIVATE_DATA_SPECIFIER GstMpegtsDescriptor

`private_data_specifier` ( [out]) –

the private data specifier id registered by http://www.dvbservices.com/

`private_data` ( [out][transfer: full][allow-none][arraylength=length]) –

additional data or NULL

`length` ( [out][allow-none]) –

length of private_data

Returns –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_dvb_private_data_specifier

    function GstMpegts.Descriptor.prototype.parse_dvb_private_data_specifier(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_dvb_private_data_specifier'
    }

Parses out the private data specifier from the descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.PRIVATE_DATA_SPECIFIER GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if the parsing happened correctly, else FALSE.

`private_data_specifier` (Number ) –

TRUE if the parsing happened correctly, else FALSE.

`private_data` ([ Number ] ) –

TRUE if the parsing happened correctly, else FALSE.

`length` (Number ) –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.parse_dvb_private_data_specifier

    def GstMpegts.Descriptor.parse_dvb_private_data_specifier (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_dvb_private_data_specifier'

Parses out the private data specifier from the descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.PRIVATE_DATA_SPECIFIER GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if the parsing happened correctly, else FALSE.

`private_data_specifier` (int ) –

TRUE if the parsing happened correctly, else FALSE.

`private_data` ([ int ] ) –

TRUE if the parsing happened correctly, else FALSE.

`length` (int ) –

TRUE if the parsing happened correctly, else FALSE.

#### gst_mpegts_descriptor_parse_dvb_scrambling

    gboolean
    gst_mpegts_descriptor_parse_dvb_scrambling (const GstMpegtsDescriptor * descriptor,
                                                GstMpegtsDVBScramblingModeType * scrambling_mode)

Parses out the scrambling mode from the descriptor.

Parameters:

`descriptor` –

a GST_MTS_DESC_DVB_SCRAMBLING GstMpegtsDescriptor

`scrambling_mode` ( [out]) –

This 8-bit field identifies the selected mode of the scrambling algorithm (#GstMpegtsDVBScramblingModeType). The technical details of the scrambling algorithm are available only to bona-fide users upon signature of a Non Disclosure Agreement (NDA) administered by the DVB Common Scrambling Algorithm Custodian.

Returns –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_dvb_scrambling

    function GstMpegts.Descriptor.prototype.parse_dvb_scrambling(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_dvb_scrambling'
    }

Parses out the scrambling mode from the descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.SCRAMBLING GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if the parsing happened correctly, else FALSE.

`scrambling_mode` (GstMpegts.DVBScramblingModeType ) –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.parse_dvb_scrambling

    def GstMpegts.Descriptor.parse_dvb_scrambling (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_dvb_scrambling'

Parses out the scrambling mode from the descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.SCRAMBLING GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if the parsing happened correctly, else FALSE.

`scrambling_mode` (GstMpegts.DVBScramblingModeType ) –

TRUE if the parsing happened correctly, else FALSE.

#### gst_mpegts_descriptor_parse_dvb_service

    gboolean
    gst_mpegts_descriptor_parse_dvb_service (const GstMpegtsDescriptor * descriptor,
                                             GstMpegtsDVBServiceType * service_type,
                                             gchar** service_name,
                                             gchar** provider_name)

Extracts the dvb service information from descriptor.

Parameters:

`descriptor` –

a GST_MTS_DESC_DVB_SERVICE GstMpegtsDescriptor

`service_type` ( [out][allow-none]) –

the service type

`service_name` ( [out][transfer: full][allow-none]) –

the service name

`provider_name` ( [out][transfer: full][allow-none]) –

the provider name

Returns –

TRUE if parsing succeeded, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_dvb_service

    function GstMpegts.Descriptor.prototype.parse_dvb_service(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_dvb_service'
    }

Extracts the dvb service information from descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.SERVICE GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if parsing succeeded, else FALSE.

`service_type` (GstMpegts.DVBServiceType ) –

TRUE if parsing succeeded, else FALSE.

`service_name` (String ) –

TRUE if parsing succeeded, else FALSE.

`provider_name` (String ) –

TRUE if parsing succeeded, else FALSE.

#### GstMpegts.Descriptor.parse_dvb_service

    def GstMpegts.Descriptor.parse_dvb_service (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_dvb_service'

Extracts the dvb service information from descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.SERVICE GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if parsing succeeded, else FALSE.

`service_type` (GstMpegts.DVBServiceType ) –

TRUE if parsing succeeded, else FALSE.

`service_name` (str ) –

TRUE if parsing succeeded, else FALSE.

`provider_name` (str ) –

TRUE if parsing succeeded, else FALSE.

#### gst_mpegts_descriptor_parse_dvb_service_list

    gboolean
    gst_mpegts_descriptor_parse_dvb_service_list (const GstMpegtsDescriptor * descriptor,
                                                  GPtrArray ** list)

Parses out a list of services from the descriptor:

Parameters:

`descriptor` –

a GST_MTS_DESC_DVB_SERVICE_LIST GstMpegtsDescriptor

`list` –

(out) (transfer full) (element-type GstMpegtsDVBServiceListItem): the list of services

Returns –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_dvb_service_list

    function GstMpegts.Descriptor.prototype.parse_dvb_service_list(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_dvb_service_list'
    }

Parses out a list of services from the descriptor:

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.SERVICE_LIST GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if the parsing happened correctly, else FALSE.

`list` ([ GstMpegts.DVBServiceListItem ] ) –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.parse_dvb_service_list

    def GstMpegts.Descriptor.parse_dvb_service_list (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_dvb_service_list'

Parses out a list of services from the descriptor:

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.SERVICE_LIST GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if the parsing happened correctly, else FALSE.

`list` ([ GstMpegts.DVBServiceListItem ] ) –

TRUE if the parsing happened correctly, else FALSE.

#### gst_mpegts_descriptor_parse_dvb_short_event

    gboolean
    gst_mpegts_descriptor_parse_dvb_short_event (const GstMpegtsDescriptor * descriptor,
                                                 gchar** language_code,
                                                 gchar** event_name,
                                                 gchar** text)

Extracts the DVB short event information from descriptor.

Parameters:

`descriptor` –

a GST_MTS_DESC_DVB_SHORT_EVENT GstMpegtsDescriptor

`language_code` ( [out][transfer: full][allow-none]) –

the language code

`event_name` ( [out][transfer: full][allow-none]) –

the event name

`text` ( [out][transfer: full][allow-none]) –

the event text

Returns –

TRUE if parsing succeeded, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_dvb_short_event

    function GstMpegts.Descriptor.prototype.parse_dvb_short_event(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_dvb_short_event'
    }

Extracts the DVB short event information from descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.SHORT_EVENT GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if parsing succeeded, else FALSE.

`language_code` (String ) –

TRUE if parsing succeeded, else FALSE.

`event_name` (String ) –

TRUE if parsing succeeded, else FALSE.

`text` (String ) –

TRUE if parsing succeeded, else FALSE.

#### GstMpegts.Descriptor.parse_dvb_short_event

    def GstMpegts.Descriptor.parse_dvb_short_event (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_dvb_short_event'

Extracts the DVB short event information from descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.SHORT_EVENT GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if parsing succeeded, else FALSE.

`language_code` (str ) –

TRUE if parsing succeeded, else FALSE.

`event_name` (str ) –

TRUE if parsing succeeded, else FALSE.

`text` (str ) –

TRUE if parsing succeeded, else FALSE.

#### gst_mpegts_descriptor_parse_dvb_stream_identifier

    gboolean
    gst_mpegts_descriptor_parse_dvb_stream_identifier (const GstMpegtsDescriptor * descriptor,
                                                       guint8* component_tag)

Extracts the component tag from descriptor.

Parameters:

`descriptor` –

a GST_MTS_DESC_DVB_CONTENT GstMpegtsDescriptor

`component_tag` ( [out][transfer: none]) –

the component tag

Returns –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_dvb_stream_identifier

    function GstMpegts.Descriptor.prototype.parse_dvb_stream_identifier(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_dvb_stream_identifier'
    }

Extracts the component tag from descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.CONTENT GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if the parsing happened correctly, else FALSE.

`component_tag` (Number ) –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.parse_dvb_stream_identifier

    def GstMpegts.Descriptor.parse_dvb_stream_identifier (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_dvb_stream_identifier'

Extracts the component tag from descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.CONTENT GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if the parsing happened correctly, else FALSE.

`component_tag` (int ) –

TRUE if the parsing happened correctly, else FALSE.

#### gst_mpegts_descriptor_parse_dvb_stuffing

    gboolean
    gst_mpegts_descriptor_parse_dvb_stuffing (const GstMpegtsDescriptor * descriptor,
                                              guint8** stuffing_bytes)

Parses out the stuffing bytes from the descriptor.

Parameters:

`descriptor` –

a GST_MTS_DESC_DVB_STUFFING GstMpegtsDescriptor

`stuffing_bytes` ( [out][transfer: full]) –

the stuffing bytes

Returns –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_dvb_stuffing

    function GstMpegts.Descriptor.prototype.parse_dvb_stuffing(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_dvb_stuffing'
    }

Parses out the stuffing bytes from the descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.STUFFING GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if the parsing happened correctly, else FALSE.

`stuffing_bytes` (Number ) –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.parse_dvb_stuffing

    def GstMpegts.Descriptor.parse_dvb_stuffing (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_dvb_stuffing'

Parses out the stuffing bytes from the descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.STUFFING GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if the parsing happened correctly, else FALSE.

`stuffing_bytes` (int ) –

TRUE if the parsing happened correctly, else FALSE.

#### gst_mpegts_descriptor_parse_dvb_subtitling_idx

    gboolean
    gst_mpegts_descriptor_parse_dvb_subtitling_idx (const GstMpegtsDescriptor * descriptor,
                                                    guint idx,
                                                    gchar** lang,
                                                    guint8* type,
                                                    guint16* composition_page_id,
                                                    guint16* ancillary_page_id)

Extracts the DVB subtitling informatio from specific table id in descriptor.

Note: Use gst_tag_get_language_code if you want to get the the ISO 639-1 language code from the returned ISO 639-2 one.

Parameters:

`descriptor` –

a GST_MTS_DESC_DVB_SUBTITLING GstMpegtsDescriptor

`idx` –

Table id of the entry to parse

`lang` ( [out][transfer: full]) –

the language code

`type` ( [out][transfer: none][allow-none]) –

the type of subtitling

`composition_page_id` ( [out][transfer: none][allow-none]) –

the composition page id

`ancillary_page_id` ( [out][transfer: none][allow-none]) –

the ancillary page id

Returns –

TRUE if parsing succeeded, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_dvb_subtitling_idx

    function GstMpegts.Descriptor.prototype.parse_dvb_subtitling_idx(idx: Number): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_dvb_subtitling_idx'
    }

Extracts the DVB subtitling informatio from specific table id in descriptor.

Note: Use gst_tag_get_language_code (not introspectable) if you want to get the the ISO 639-1 language code from the returned ISO 639-2 one.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.SUBTITLING GstMpegts.Descriptor

`idx` (Number) –

Table id of the entry to parse

Returns a tuple made of:

(Number ) –

TRUE if parsing succeeded, else FALSE.

`lang` (String ) –

TRUE if parsing succeeded, else FALSE.

`type` (Number ) –

TRUE if parsing succeeded, else FALSE.

`composition_page_id` (Number ) –

TRUE if parsing succeeded, else FALSE.

`ancillary_page_id` (Number ) –

TRUE if parsing succeeded, else FALSE.

#### GstMpegts.Descriptor.parse_dvb_subtitling_idx

    def GstMpegts.Descriptor.parse_dvb_subtitling_idx (self, idx):
        #python wrapper for 'gst_mpegts_descriptor_parse_dvb_subtitling_idx'

Extracts the DVB subtitling informatio from specific table id in descriptor.

Note: Use gst_tag_get_language_code (not introspectable) if you want to get the the ISO 639-1 language code from the returned ISO 639-2 one.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.SUBTITLING GstMpegts.Descriptor

`idx` (int) –

Table id of the entry to parse

Returns a tuple made of:

(bool ) –

TRUE if parsing succeeded, else FALSE.

`lang` (str ) –

TRUE if parsing succeeded, else FALSE.

`type` (int ) –

TRUE if parsing succeeded, else FALSE.

`composition_page_id` (int ) –

TRUE if parsing succeeded, else FALSE.

`ancillary_page_id` (int ) –

TRUE if parsing succeeded, else FALSE.

#### gst_mpegts_descriptor_parse_dvb_subtitling_nb

    guint
    gst_mpegts_descriptor_parse_dvb_subtitling_nb (const GstMpegtsDescriptor * descriptor)

Parameters:

`descriptor` –

a GST_MTS_DESC_DVB_SUBTITLING GstMpegtsDescriptor

Returns –

The number of entries in descriptor

#### GstMpegts.Descriptor.prototype.parse_dvb_subtitling_nb

    function GstMpegts.Descriptor.prototype.parse_dvb_subtitling_nb(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_dvb_subtitling_nb'
    }

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.SUBTITLING GstMpegts.Descriptor

Returns (Number) –

The number of entries in descriptor

#### GstMpegts.Descriptor.parse_dvb_subtitling_nb

    def GstMpegts.Descriptor.parse_dvb_subtitling_nb (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_dvb_subtitling_nb'

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.SUBTITLING GstMpegts.Descriptor

Returns (int) –

The number of entries in descriptor

#### gst_mpegts_descriptor_parse_dvb_t2_delivery_system

    gboolean
    gst_mpegts_descriptor_parse_dvb_t2_delivery_system (const GstMpegtsDescriptor * descriptor,
                                                        GstMpegtsT2DeliverySystemDescriptor ** res)

Parses out the DVB-T2 delivery system from the descriptor.

Parameters:

`descriptor` –

a GST_MTS_DESC_EXT_DVB_T2_DELIVERY_SYSTEM GstMpegtsDescriptor

`res` ( [out][transfer: full]) –

GstMpegtsT2DeliverySystemDescriptor

Returns –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_dvb_t2_delivery_system

    function GstMpegts.Descriptor.prototype.parse_dvb_t2_delivery_system(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_dvb_t2_delivery_system'
    }

Parses out the DVB-T2 delivery system from the descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBExtendedDescriptorType.T2_DELIVERY_SYSTEM GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if the parsing happened correctly, else FALSE.

`res` (GstMpegts.T2DeliverySystemDescriptor ) –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.parse_dvb_t2_delivery_system

    def GstMpegts.Descriptor.parse_dvb_t2_delivery_system (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_dvb_t2_delivery_system'

Parses out the DVB-T2 delivery system from the descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBExtendedDescriptorType.T2_DELIVERY_SYSTEM GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if the parsing happened correctly, else FALSE.

`res` (GstMpegts.T2DeliverySystemDescriptor ) –

TRUE if the parsing happened correctly, else FALSE.

#### gst_mpegts_descriptor_parse_dvb_teletext_idx

    gboolean
    gst_mpegts_descriptor_parse_dvb_teletext_idx (const GstMpegtsDescriptor * descriptor,
                                                  guint idx,
                                                  gchar** language_code,
                                                  GstMpegtsDVBTeletextType * teletext_type,
                                                  guint8* magazine_number,
                                                  guint8* page_number)

Parses teletext number idx in the descriptor. The language is in ISO639 format.

Parameters:

`descriptor` –

a GST_MTS_DESC_DVB_TELETEXT GstMpegtsDescriptor

`idx` –

The id of the teletext to get

`language_code` ( [out][transfer: full][allow-none]) –

a null-terminated string

`teletext_type` ( [out][allow-none]) –

GstMpegtsDVBTeletextType

`magazine_number` –

(out) (allow-none):

`page_number` –

(out) (allow-none):

Returns –

FALSE on out-of-bounds and errors

#### GstMpegts.Descriptor.prototype.parse_dvb_teletext_idx

    function GstMpegts.Descriptor.prototype.parse_dvb_teletext_idx(idx: Number): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_dvb_teletext_idx'
    }

Parses teletext number idx in the descriptor. The language is in ISO639 format.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.TELETEXT GstMpegts.Descriptor

`idx` (Number) –

The id of the teletext to get

Returns a tuple made of:

(Number ) –

FALSE on out-of-bounds and errors

`language_code` (String ) –

FALSE on out-of-bounds and errors

`teletext_type` (GstMpegts.DVBTeletextType ) –

FALSE on out-of-bounds and errors

`magazine_number` (Number ) –

FALSE on out-of-bounds and errors

`page_number` (Number ) –

FALSE on out-of-bounds and errors

#### GstMpegts.Descriptor.parse_dvb_teletext_idx

    def GstMpegts.Descriptor.parse_dvb_teletext_idx (self, idx):
        #python wrapper for 'gst_mpegts_descriptor_parse_dvb_teletext_idx'

Parses teletext number idx in the descriptor. The language is in ISO639 format.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.TELETEXT GstMpegts.Descriptor

`idx` (int) –

The id of the teletext to get

Returns a tuple made of:

(bool ) –

FALSE on out-of-bounds and errors

`language_code` (str ) –

FALSE on out-of-bounds and errors

`teletext_type` (GstMpegts.DVBTeletextType ) –

FALSE on out-of-bounds and errors

`magazine_number` (int ) –

FALSE on out-of-bounds and errors

`page_number` (int ) –

FALSE on out-of-bounds and errors

#### gst_mpegts_descriptor_parse_dvb_teletext_nb

    guint
    gst_mpegts_descriptor_parse_dvb_teletext_nb (const GstMpegtsDescriptor * descriptor)

Find the number of teletext entries in descriptor

Parameters:

`descriptor` –

a GST_MTS_DESC_DVB_TELETEXT GstMpegtsDescriptor

Returns –

Number of teletext entries

#### GstMpegts.Descriptor.prototype.parse_dvb_teletext_nb

    function GstMpegts.Descriptor.prototype.parse_dvb_teletext_nb(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_dvb_teletext_nb'
    }

Find the number of teletext entries in descriptor

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.TELETEXT GstMpegts.Descriptor

Returns (Number) –

Number of teletext entries

#### GstMpegts.Descriptor.parse_dvb_teletext_nb

    def GstMpegts.Descriptor.parse_dvb_teletext_nb (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_dvb_teletext_nb'

Find the number of teletext entries in descriptor

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.TELETEXT GstMpegts.Descriptor

Returns (int) –

Number of teletext entries

#### gst_mpegts_descriptor_parse_iso_639_language

    gboolean
    gst_mpegts_descriptor_parse_iso_639_language (const GstMpegtsDescriptor * descriptor,
                                                  GstMpegtsISO639LanguageDescriptor ** res)

Extracts the iso 639-2 language information from descriptor.

Note: Use gst_tag_get_language_code if you want to get the the ISO 639-1 language code from the returned ISO 639-2 one.

Parameters:

`descriptor` –

a GST_MTS_DESC_ISO_639_LANGUAGE GstMpegtsDescriptor

`res` ( [out][transfer: full]) –

the GstMpegtsISO639LanguageDescriptor to fill

Returns –

TRUE if parsing succeeded, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_iso_639_language

    function GstMpegts.Descriptor.prototype.parse_iso_639_language(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_iso_639_language'
    }

Extracts the iso 639-2 language information from descriptor.

Note: Use gst_tag_get_language_code (not introspectable) if you want to get the the ISO 639-1 language code from the returned ISO 639-2 one.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DescriptorType.ISO_639_LANGUAGE GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if parsing succeeded, else FALSE.

`res` (GstMpegts.ISO639LanguageDescriptor ) –

TRUE if parsing succeeded, else FALSE.

#### GstMpegts.Descriptor.parse_iso_639_language

    def GstMpegts.Descriptor.parse_iso_639_language (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_iso_639_language'

Extracts the iso 639-2 language information from descriptor.

Note: Use gst_tag_get_language_code (not introspectable) if you want to get the the ISO 639-1 language code from the returned ISO 639-2 one.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DescriptorType.ISO_639_LANGUAGE GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if parsing succeeded, else FALSE.

`res` (GstMpegts.ISO639LanguageDescriptor ) –

TRUE if parsing succeeded, else FALSE.

#### gst_mpegts_descriptor_parse_iso_639_language_idx

    gboolean
    gst_mpegts_descriptor_parse_iso_639_language_idx (const GstMpegtsDescriptor * descriptor,
                                                      guint idx,
                                                      gchar** lang,
                                                      GstMpegtsIso639AudioType * audio_type)

Extracts the iso 639-2 language information from specific table id in descriptor.

Note: Use gst_tag_get_language_code if you want to get the the ISO 639-1 language code from the returned ISO 639-2 one.

Parameters:

`descriptor` –

a GST_MTS_DESC_ISO_639_LANGUAGE GstMpegtsDescriptor

`idx` –

Table id of the language to parse

`lang` ( [out][transfer: full]) –

4-byte gchar array to hold the language code

`audio_type` ( [out][transfer: none][allow-none]) –

the GstMpegtsIso639AudioType to set

Returns –

TRUE if parsing succeeded, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_iso_639_language_idx

    function GstMpegts.Descriptor.prototype.parse_iso_639_language_idx(idx: Number): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_iso_639_language_idx'
    }

Extracts the iso 639-2 language information from specific table id in descriptor.

Note: Use gst_tag_get_language_code (not introspectable) if you want to get the the ISO 639-1 language code from the returned ISO 639-2 one.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DescriptorType.ISO_639_LANGUAGE GstMpegts.Descriptor

`idx` (Number) –

Table id of the language to parse

Returns a tuple made of:

(Number ) –

TRUE if parsing succeeded, else FALSE.

`lang` (String ) –

TRUE if parsing succeeded, else FALSE.

`audio_type` (GstMpegts.Iso639AudioType ) –

TRUE if parsing succeeded, else FALSE.

#### GstMpegts.Descriptor.parse_iso_639_language_idx

    def GstMpegts.Descriptor.parse_iso_639_language_idx (self, idx):
        #python wrapper for 'gst_mpegts_descriptor_parse_iso_639_language_idx'

Extracts the iso 639-2 language information from specific table id in descriptor.

Note: Use gst_tag_get_language_code (not introspectable) if you want to get the the ISO 639-1 language code from the returned ISO 639-2 one.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DescriptorType.ISO_639_LANGUAGE GstMpegts.Descriptor

`idx` (int) –

Table id of the language to parse

Returns a tuple made of:

(bool ) –

TRUE if parsing succeeded, else FALSE.

`lang` (str ) –

TRUE if parsing succeeded, else FALSE.

`audio_type` (GstMpegts.Iso639AudioType ) –

TRUE if parsing succeeded, else FALSE.

#### gst_mpegts_descriptor_parse_iso_639_language_nb

    guint
    gst_mpegts_descriptor_parse_iso_639_language_nb (const GstMpegtsDescriptor * descriptor)

Parameters:

`descriptor` –

a GST_MTS_DESC_ISO_639_LANGUAGE GstMpegtsDescriptor

Returns –

The number of languages in descriptor

#### GstMpegts.Descriptor.prototype.parse_iso_639_language_nb

    function GstMpegts.Descriptor.prototype.parse_iso_639_language_nb(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_iso_639_language_nb'
    }

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DescriptorType.ISO_639_LANGUAGE GstMpegts.Descriptor

Returns (Number) –

The number of languages in descriptor

#### GstMpegts.Descriptor.parse_iso_639_language_nb

    def GstMpegts.Descriptor.parse_iso_639_language_nb (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_iso_639_language_nb'

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DescriptorType.ISO_639_LANGUAGE GstMpegts.Descriptor

Returns (int) –

The number of languages in descriptor

#### gst_mpegts_descriptor_parse_logical_channel

    gboolean
    gst_mpegts_descriptor_parse_logical_channel (const GstMpegtsDescriptor * descriptor,
                                                 GstMpegtsLogicalChannelDescriptor * res)

Extracts the logical channels from descriptor.

Parameters:

`descriptor` –

a GST_MTS_DESC_DTG_LOGICAL_CHANNEL GstMpegtsDescriptor

`res` ( [out][transfer: none]) –

the GstMpegtsLogicalChannelDescriptor to fill

Returns –

TRUE if parsing succeeded, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_logical_channel

    function GstMpegts.Descriptor.prototype.parse_logical_channel(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_logical_channel'
    }

Extracts the logical channels from descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.MiscDescriptorType.MTS_DESC_DTG_LOGICAL_CHANNEL GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if parsing succeeded, else FALSE.

`res` (GstMpegts.LogicalChannelDescriptor ) –

TRUE if parsing succeeded, else FALSE.

#### GstMpegts.Descriptor.parse_logical_channel

    def GstMpegts.Descriptor.parse_logical_channel (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_logical_channel'

Extracts the logical channels from descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.MiscDescriptorType.MTS_DESC_DTG_LOGICAL_CHANNEL GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if parsing succeeded, else FALSE.

`res` (GstMpegts.LogicalChannelDescriptor ) –

TRUE if parsing succeeded, else FALSE.

#### gst_mpegts_descriptor_parse_metadata

    gboolean
    gst_mpegts_descriptor_parse_metadata (const GstMpegtsDescriptor * descriptor,
                                          GstMpegtsMetadataDescriptor ** res)

Parses out the metadata descriptor from the descriptor.

See ISO/IEC 13818-1:2018 Section 2.6.60 and 2.6.61 for details. metadata_application_format is provided in Table 2-82. metadata_format is provided in Table 2-85.

Parameters:

`descriptor` –

a GST_TYPE_MPEGTS_METADATA_DESCRIPTOR GstMpegtsDescriptor

`res` ( [out][transfer: full]) –

GstMpegtsMetadataDescriptor

Returns –

TRUE if the parsing worked correctly, else FALSE.

Since : 1.24

#### GstMpegts.Descriptor.prototype.parse_metadata

    function GstMpegts.Descriptor.prototype.parse_metadata(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_metadata'
    }

Parses out the metadata descriptor from the descriptor.

See ISO/IEC 13818-1:2018 Section 2.6.60 and 2.6.61 for details. metadata_application_format is provided in Table 2-82. metadata_format is provided in Table 2-85.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GST_TYPE_MPEGTS_METADATA_DESCRIPTOR (not introspectable) GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if the parsing worked correctly, else FALSE.

`res` (GstMpegts.MetadataDescriptor ) –

TRUE if the parsing worked correctly, else FALSE.

Since : 1.24

#### GstMpegts.Descriptor.parse_metadata

    def GstMpegts.Descriptor.parse_metadata (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_metadata'

Parses out the metadata descriptor from the descriptor.

See ISO/IEC 13818-1:2018 Section 2.6.60 and 2.6.61 for details. metadata_application_format is provided in Table 2-82. metadata_format is provided in Table 2-85.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GST_TYPE_MPEGTS_METADATA_DESCRIPTOR (not introspectable) GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if the parsing worked correctly, else FALSE.

`res` (GstMpegts.MetadataDescriptor ) –

TRUE if the parsing worked correctly, else FALSE.

Since : 1.24

#### gst_mpegts_descriptor_parse_metadata_std

    gboolean
    gst_mpegts_descriptor_parse_metadata_std (const GstMpegtsDescriptor * descriptor,
                                              guint32* metadata_input_leak_rate,
                                              guint32* metadata_buffer_size,
                                              guint32* metadata_output_leak_rate)

Extracts the metadata STD descriptor from descriptor.

See ISO/IEC 13818-1:2018 Section 2.6.62 and 2.6.63 for details.

Parameters:

`descriptor` –

a GST_MTS_DESC_METADATA_STD GstMpegtsDescriptor metadata_input_leak_rate (out): the input leak rate in units of 400bits/sec. metadata_buffer_size (out): the buffer size in units of 1024 bytes metadata_output_leak_rate (out): the output leak rate in units of 400bits/sec.

`metadata_input_leak_rate` –
No description available
`metadata_buffer_size` –
No description available
`metadata_output_leak_rate` –
No description available
Returns –

TRUE if parsing succeeded, else FALSE.

Since : 1.24

#### GstMpegts.Descriptor.prototype.parse_metadata_std

    function GstMpegts.Descriptor.prototype.parse_metadata_std(metadata_input_leak_rate: Number, metadata_buffer_size: Number, metadata_output_leak_rate: Number): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_metadata_std'
    }

Extracts the metadata STD descriptor from descriptor.

See ISO/IEC 13818-1:2018 Section 2.6.62 and 2.6.63 for details.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DescriptorType.METADATA_STD GstMpegts.Descriptor metadata_input_leak_rate (out): the input leak rate in units of 400bits/sec. metadata_buffer_size (out): the buffer size in units of 1024 bytes metadata_output_leak_rate (out): the output leak rate in units of 400bits/sec.

`metadata_input_leak_rate` (Number) –
No description available
`metadata_buffer_size` (Number) –
No description available
`metadata_output_leak_rate` (Number) –
No description available
Returns (Number) –

TRUE if parsing succeeded, else FALSE.

Since : 1.24

#### GstMpegts.Descriptor.parse_metadata_std

    def GstMpegts.Descriptor.parse_metadata_std (self, metadata_input_leak_rate, metadata_buffer_size, metadata_output_leak_rate):
        #python wrapper for 'gst_mpegts_descriptor_parse_metadata_std'

Extracts the metadata STD descriptor from descriptor.

See ISO/IEC 13818-1:2018 Section 2.6.62 and 2.6.63 for details.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DescriptorType.METADATA_STD GstMpegts.Descriptor metadata_input_leak_rate (out): the input leak rate in units of 400bits/sec. metadata_buffer_size (out): the buffer size in units of 1024 bytes metadata_output_leak_rate (out): the output leak rate in units of 400bits/sec.

`metadata_input_leak_rate` (int) –
No description available
`metadata_buffer_size` (int) –
No description available
`metadata_output_leak_rate` (int) –
No description available
Returns (bool) –

TRUE if parsing succeeded, else FALSE.

Since : 1.24

#### gst_mpegts_descriptor_parse_registration

    gboolean
    gst_mpegts_descriptor_parse_registration (GstMpegtsDescriptor * descriptor,
                                              guint32* registration_id,
                                              guint8** additional_info,
                                              gsize* additional_info_length)

Extracts the Registration information from descriptor.

Parameters:

`descriptor` –

a GST_MTS_DESC_REGISTRATION GstMpegtsDescriptor

`registration_id` ( [out]) –

The registration ID (in host endiannes)

`additional_info` ( [out][allow-none][arraylength=additional_info_length]) –

The additional information

`additional_info_length` ( [out][allow-none]) –

The size of additional_info in bytes.

Returns –

TRUE if parsing succeeded, else FALSE.

Since : 1.20

#### GstMpegts.Descriptor.prototype.parse_registration

    function GstMpegts.Descriptor.prototype.parse_registration(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_registration'
    }

Extracts the Registration information from descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DescriptorType.REGISTRATION GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if parsing succeeded, else FALSE.

`registration_id` (Number ) –

TRUE if parsing succeeded, else FALSE.

`additional_info` ([ Number ] ) –

TRUE if parsing succeeded, else FALSE.

`additional_info_length` (Number ) –

TRUE if parsing succeeded, else FALSE.

Since : 1.20

#### GstMpegts.Descriptor.parse_registration

    def GstMpegts.Descriptor.parse_registration (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_registration'

Extracts the Registration information from descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DescriptorType.REGISTRATION GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if parsing succeeded, else FALSE.

`registration_id` (int ) –

TRUE if parsing succeeded, else FALSE.

`additional_info` ([ int ] ) –

TRUE if parsing succeeded, else FALSE.

`additional_info_length` (int ) –

TRUE if parsing succeeded, else FALSE.

Since : 1.20

#### gst_mpegts_descriptor_parse_satellite_delivery_system

    gboolean
    gst_mpegts_descriptor_parse_satellite_delivery_system (const GstMpegtsDescriptor * descriptor,
                                                           GstMpegtsSatelliteDeliverySystemDescriptor * res)

Extracts the satellite delivery system information from descriptor.

Parameters:

`descriptor` –

a GST_MTS_DESC_DVB_SATELLITE_DELIVERY_SYSTEM GstMpegtsDescriptor

`res` ( [out][transfer: none]) –

the GstMpegtsSatelliteDeliverySystemDescriptor to fill

Returns –

TRUE if parsing succeeded, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_satellite_delivery_system

    function GstMpegts.Descriptor.prototype.parse_satellite_delivery_system(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_satellite_delivery_system'
    }

Extracts the satellite delivery system information from descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.SATELLITE_DELIVERY_SYSTEM GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if parsing succeeded, else FALSE.

`res` (GstMpegts.SatelliteDeliverySystemDescriptor ) –

TRUE if parsing succeeded, else FALSE.

#### GstMpegts.Descriptor.parse_satellite_delivery_system

    def GstMpegts.Descriptor.parse_satellite_delivery_system (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_satellite_delivery_system'

Extracts the satellite delivery system information from descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.SATELLITE_DELIVERY_SYSTEM GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if parsing succeeded, else FALSE.

`res` (GstMpegts.SatelliteDeliverySystemDescriptor ) –

TRUE if parsing succeeded, else FALSE.

#### gst_mpegts_descriptor_parse_terrestrial_delivery_system

    gboolean
    gst_mpegts_descriptor_parse_terrestrial_delivery_system (const GstMpegtsDescriptor * descriptor,
                                                             GstMpegtsTerrestrialDeliverySystemDescriptor * res)

Parses out the terrestrial delivery system from the descriptor.

Parameters:

`descriptor` –

a GST_MTS_DESC_DVB_TERRESTRIAL_DELIVERY_SYSTEM GstMpegtsDescriptor

`res` ( [out][transfer: none]) –

GstMpegtsTerrestrialDeliverySystemDescriptor

Returns –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.prototype.parse_terrestrial_delivery_system

    function GstMpegts.Descriptor.prototype.parse_terrestrial_delivery_system(): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_terrestrial_delivery_system'
    }

Parses out the terrestrial delivery system from the descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.TERRESTRIAL_DELIVERY_SYSTEM GstMpegts.Descriptor

Returns a tuple made of:

(Number ) –

TRUE if the parsing happened correctly, else FALSE.

`res` (GstMpegts.TerrestrialDeliverySystemDescriptor ) –

TRUE if the parsing happened correctly, else FALSE.

#### GstMpegts.Descriptor.parse_terrestrial_delivery_system

    def GstMpegts.Descriptor.parse_terrestrial_delivery_system (self):
        #python wrapper for 'gst_mpegts_descriptor_parse_terrestrial_delivery_system'

Parses out the terrestrial delivery system from the descriptor.

Parameters:

`descriptor` (GstMpegts.Descriptor) –

a GstMpegts.DVBDescriptorType.TERRESTRIAL_DELIVERY_SYSTEM GstMpegts.Descriptor

Returns a tuple made of:

(bool ) –

TRUE if the parsing happened correctly, else FALSE.

`res` (GstMpegts.TerrestrialDeliverySystemDescriptor ) –

TRUE if the parsing happened correctly, else FALSE.

### Functions

#### gst_mpegts_descriptor_from_custom

    GstMpegtsDescriptor *
    gst_mpegts_descriptor_from_custom (guint8 tag,
                                       const guint8* data,
                                       gsize length)

Creates a GstMpegtsDescriptor with custom tag and data

Parameters:

`tag` –

descriptor tag

`data` ( [transfer: none][arraylength=length]) –

descriptor data (after tag and length field)

`length` –

length of data

Returns –

GstMpegtsDescriptor

#### GstMpegts.Descriptor.prototype.from_custom

    function GstMpegts.Descriptor.prototype.from_custom(tag: Number, data: [ Number ], length: Number): {
        // javascript wrapper for 'gst_mpegts_descriptor_from_custom'
    }

Creates a GstMpegts.Descriptor with custom tag and data

Parameters:

`tag` (Number) –

descriptor tag

`data` ([ Number ]) –

descriptor data (after tag and length field)

`length` (Number) –

length of data

Returns (GstMpegts.Descriptor) –

GstMpegts.Descriptor

#### GstMpegts.Descriptor.from_custom

    def GstMpegts.Descriptor.from_custom (tag, data, length):
        #python wrapper for 'gst_mpegts_descriptor_from_custom'

Creates a GstMpegts.Descriptor with custom tag and data

Parameters:

`tag` (int) –

descriptor tag

`data` ([ int ]) –

descriptor data (after tag and length field)

`length` (int) –

length of data

Returns (GstMpegts.Descriptor) –

GstMpegts.Descriptor

#### gst_mpegts_descriptor_from_custom_with_extension

    GstMpegtsDescriptor *
    gst_mpegts_descriptor_from_custom_with_extension (guint8 tag,
                                                      guint8 tag_extension,
                                                      const guint8* data,
                                                      gsize length)

Creates a GstMpegtsDescriptor with custom tag, tag_extension and data

Parameters:

`tag` –

descriptor tag

`tag_extension` –

descriptor tag extension

`data` ( [transfer: none][arraylength=length]) –

descriptor data (after tag and length field)

`length` –

length of data

Returns –

GstMpegtsDescriptor

Since : 1.20

#### GstMpegts.Descriptor.prototype.from_custom_with_extension

    function GstMpegts.Descriptor.prototype.from_custom_with_extension(tag: Number, tag_extension: Number, data: [ Number ], length: Number): {
        // javascript wrapper for 'gst_mpegts_descriptor_from_custom_with_extension'
    }

Creates a GstMpegts.Descriptor with custom tag, tag_extension and data

Parameters:

`tag` (Number) –

descriptor tag

`tag_extension` (Number) –

descriptor tag extension

`data` ([ Number ]) –

descriptor data (after tag and length field)

`length` (Number) –

length of data

Returns (GstMpegts.Descriptor) –

GstMpegts.Descriptor

Since : 1.20

#### GstMpegts.Descriptor.from_custom_with_extension

    def GstMpegts.Descriptor.from_custom_with_extension (tag, tag_extension, data, length):
        #python wrapper for 'gst_mpegts_descriptor_from_custom_with_extension'

Creates a GstMpegts.Descriptor with custom tag, tag_extension and data

Parameters:

`tag` (int) –

descriptor tag

`tag_extension` (int) –

descriptor tag extension

`data` ([ int ]) –

descriptor data (after tag and length field)

`length` (int) –

length of data

Returns (GstMpegts.Descriptor) –

GstMpegts.Descriptor

Since : 1.20

#### gst_mpegts_descriptor_from_dvb_network_name

    GstMpegtsDescriptor *
    gst_mpegts_descriptor_from_dvb_network_name (const gchar* name)

Creates a GstMpegtsDescriptor to be a GST_MTS_DESC_DVB_NETWORK_NAME, with the network name name. The data field of the GstMpegtsDescriptor will be allocated, and transferred to the caller.

Parameters:

`name` –

the network name to set

Returns ( [transfer: full]) –

the GstMpegtsDescriptor or NULL on fail

#### GstMpegts.Descriptor.prototype.from_dvb_network_name

    function GstMpegts.Descriptor.prototype.from_dvb_network_name(name: String): {
        // javascript wrapper for 'gst_mpegts_descriptor_from_dvb_network_name'
    }

Creates a GstMpegts.Descriptor to be a GstMpegts.DVBDescriptorType.NETWORK_NAME, with the network name name. The data field of the GstMpegts.Descriptor will be allocated, and transferred to the caller.

Parameters:

`name` (String) –

the network name to set

Returns (GstMpegts.Descriptor) –

the GstMpegts.Descriptor or NULL on fail

#### GstMpegts.Descriptor.from_dvb_network_name

    def GstMpegts.Descriptor.from_dvb_network_name (name):
        #python wrapper for 'gst_mpegts_descriptor_from_dvb_network_name'

Creates a GstMpegts.Descriptor to be a GstMpegts.DVBDescriptorType.NETWORK_NAME, with the network name name. The data field of the GstMpegts.Descriptor will be allocated, and transferred to the caller.

Parameters:

`name` (str) –

the network name to set

Returns (GstMpegts.Descriptor) –

the GstMpegts.Descriptor or NULL on fail

#### gst_mpegts_descriptor_from_dvb_service

    GstMpegtsDescriptor *
    gst_mpegts_descriptor_from_dvb_service (GstMpegtsDVBServiceType service_type,
                                            const gchar* service_name,
                                            const gchar* service_provider)

Fills a GstMpegtsDescriptor to be a GST_MTS_DESC_DVB_SERVICE. The data field of the GstMpegtsDescriptor will be allocated, and transferred to the caller.

Parameters:

`service_type` –

Service type defined as a GstMpegtsDVBServiceType

`service_name` ( [allow-none]) –

Name of the service

`service_provider` ( [allow-none]) –

Name of the service provider

Returns ( [transfer: full]) –

the GstMpegtsDescriptor or NULL on fail

#### GstMpegts.Descriptor.prototype.from_dvb_service

    function GstMpegts.Descriptor.prototype.from_dvb_service(service_type: GstMpegts.DVBServiceType, service_name: String, service_provider: String): {
        // javascript wrapper for 'gst_mpegts_descriptor_from_dvb_service'
    }

Fills a GstMpegts.Descriptor to be a GstMpegts.DVBDescriptorType.SERVICE. The data field of the GstMpegts.Descriptor will be allocated, and transferred to the caller.

Parameters:

`service_type` (GstMpegts.DVBServiceType) –

Service type defined as a GstMpegts.DVBServiceType

`service_name` (String) –

Name of the service

`service_provider` (String) –

Name of the service provider

Returns (GstMpegts.Descriptor) –

the GstMpegts.Descriptor or NULL on fail

#### GstMpegts.Descriptor.from_dvb_service

    def GstMpegts.Descriptor.from_dvb_service (service_type, service_name, service_provider):
        #python wrapper for 'gst_mpegts_descriptor_from_dvb_service'

Fills a GstMpegts.Descriptor to be a GstMpegts.DVBDescriptorType.SERVICE. The data field of the GstMpegts.Descriptor will be allocated, and transferred to the caller.

Parameters:

`service_type` (GstMpegts.DVBServiceType) –

Service type defined as a GstMpegts.DVBServiceType

`service_name` (str) –

Name of the service

`service_provider` (str) –

Name of the service provider

Returns (GstMpegts.Descriptor) –

the GstMpegts.Descriptor or NULL on fail

#### gst_mpegts_descriptor_from_dvb_subtitling

    GstMpegtsDescriptor *
    gst_mpegts_descriptor_from_dvb_subtitling (const gchar* lang,
                                               guint8 type,
                                               guint16 composition,
                                               guint16 ancillary)

Parameters:

`lang` ( [transfer: none]) –

a string containing the ISO639 language

`type` –

subtitling type

`composition` –

composition page id

`ancillary` –

ancillary page id

Returns –
No description available

#### GstMpegts.Descriptor.prototype.from_dvb_subtitling

    function GstMpegts.Descriptor.prototype.from_dvb_subtitling(lang: String, type: Number, composition: Number, ancillary: Number): {
        // javascript wrapper for 'gst_mpegts_descriptor_from_dvb_subtitling'
    }

Parameters:

`lang` (String) –

a string containing the ISO639 language

`type` (Number) –

subtitling type

`composition` (Number) –

composition page id

`ancillary` (Number) –

ancillary page id

Returns (GstMpegts.Descriptor) –
No description available

#### GstMpegts.Descriptor.from_dvb_subtitling

    def GstMpegts.Descriptor.from_dvb_subtitling (lang, type, composition, ancillary):
        #python wrapper for 'gst_mpegts_descriptor_from_dvb_subtitling'

Parameters:

`lang` (str) –

a string containing the ISO639 language

`type` (int) –

subtitling type

`composition` (int) –

composition page id

`ancillary` (int) –

ancillary page id

Returns (GstMpegts.Descriptor) –
No description available

#### gst_mpegts_descriptor_from_iso_639_language

    GstMpegtsDescriptor *
    gst_mpegts_descriptor_from_iso_639_language (const gchar* language)

Creates a GST_MTS_DESC_ISO_639_LANGUAGE GstMpegtsDescriptor with a single language

Return: GstMpegtsDescriptor, NULL on failure

Parameters:

`language` ( [transfer: none]) –

ISO-639-2 language 3-char code

Returns –
No description available

#### GstMpegts.Descriptor.prototype.from_iso_639_language

    function GstMpegts.Descriptor.prototype.from_iso_639_language(language: String): {
        // javascript wrapper for 'gst_mpegts_descriptor_from_iso_639_language'
    }

Creates a GstMpegts.DescriptorType.ISO_639_LANGUAGE GstMpegts.Descriptor with a single language

Return: GstMpegts.Descriptor, NULL on failure

Parameters:

`language` (String) –

ISO-639-2 language 3-char code

Returns (GstMpegts.Descriptor) –
No description available

#### GstMpegts.Descriptor.from_iso_639_language

    def GstMpegts.Descriptor.from_iso_639_language (language):
        #python wrapper for 'gst_mpegts_descriptor_from_iso_639_language'

Creates a GstMpegts.DescriptorType.ISO_639_LANGUAGE GstMpegts.Descriptor with a single language

Return: GstMpegts.Descriptor, NULL on failure

Parameters:

`language` (str) –

ISO-639-2 language 3-char code

Returns (GstMpegts.Descriptor) –
No description available

#### gst_mpegts_descriptor_from_registration

    GstMpegtsDescriptor *
    gst_mpegts_descriptor_from_registration (const gchar* format_identifier,
                                             guint8* additional_info,
                                             gsize additional_info_length)

Creates a GST_MTS_DESC_REGISTRATION GstMpegtsDescriptor

Return: GstMpegtsDescriptor, NULL on failure

Parameters:

`format_identifier` ( [transfer: none]) –

a 4 character format identifier string

`additional_info` ( [transfer: none][allow-none][arraylength=additional_info_length]) –

pointer to optional additional info

`additional_info_length` –

length of the optional additional_info

Returns –
No description available

#### GstMpegts.Descriptor.prototype.from_registration

    function GstMpegts.Descriptor.prototype.from_registration(format_identifier: String, additional_info: [ Number ], additional_info_length: Number): {
        // javascript wrapper for 'gst_mpegts_descriptor_from_registration'
    }

Creates a GstMpegts.DescriptorType.REGISTRATION GstMpegts.Descriptor

Return: GstMpegts.Descriptor, NULL on failure

Parameters:

`format_identifier` (String) –

a 4 character format identifier string

`additional_info` ([ Number ]) –

pointer to optional additional info

`additional_info_length` (Number) –

length of the optional additional_info

Returns (GstMpegts.Descriptor) –
No description available

#### GstMpegts.Descriptor.from_registration

    def GstMpegts.Descriptor.from_registration (format_identifier, additional_info, additional_info_length):
        #python wrapper for 'gst_mpegts_descriptor_from_registration'

Creates a GstMpegts.DescriptorType.REGISTRATION GstMpegts.Descriptor

Return: GstMpegts.Descriptor, NULL on failure

Parameters:

`format_identifier` (str) –

a 4 character format identifier string

`additional_info` ([ int ]) –

pointer to optional additional info

`additional_info_length` (int) –

length of the optional additional_info

Returns (GstMpegts.Descriptor) –
No description available

#### gst_mpegts_descriptor_parse_audio_preselection_dump

    gst_mpegts_descriptor_parse_audio_preselection_dump (GstMpegtsAudioPreselectionDescriptor * source)

Parameters:

`source` –
No description available

Since : 1.20

#### GstMpegts.Descriptor.prototype.parse_audio_preselection_dump

    function GstMpegts.Descriptor.prototype.parse_audio_preselection_dump(source: GstMpegts.AudioPreselectionDescriptor): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_audio_preselection_dump'
    }

Parameters:

`source` (GstMpegts.AudioPreselectionDescriptor) –
No description available

Since : 1.20

#### GstMpegts.Descriptor.parse_audio_preselection_dump

    def GstMpegts.Descriptor.parse_audio_preselection_dump (source):
        #python wrapper for 'gst_mpegts_descriptor_parse_audio_preselection_dump'

Parameters:

`source` (GstMpegts.AudioPreselectionDescriptor) –
No description available

Since : 1.20

#### gst_mpegts_descriptor_parse_audio_preselection_free

    gst_mpegts_descriptor_parse_audio_preselection_free (GstMpegtsAudioPreselectionDescriptor * source)

Parameters:

`source` –
No description available

Since : 1.20

#### GstMpegts.Descriptor.prototype.parse_audio_preselection_free

    function GstMpegts.Descriptor.prototype.parse_audio_preselection_free(source: GstMpegts.AudioPreselectionDescriptor): {
        // javascript wrapper for 'gst_mpegts_descriptor_parse_audio_preselection_free'
    }

Parameters:

`source` (GstMpegts.AudioPreselectionDescriptor) –
No description available

Since : 1.20

#### GstMpegts.Descriptor.parse_audio_preselection_free

    def GstMpegts.Descriptor.parse_audio_preselection_free (source):
        #python wrapper for 'gst_mpegts_descriptor_parse_audio_preselection_free'

Parameters:

`source` (GstMpegts.AudioPreselectionDescriptor) –
No description available

Since : 1.20

## GstMpegtsISO639LanguageDescriptor

### Members

`nb_language` (guint) –
No description available
`language` (utf8*) –
No description available
`audio_type` (GstMpegtsIso639AudioType *) –
No description available

## GstMpegts.ISO639LanguageDescriptor

### Members

`nb_language` (Number) –
No description available
`language` ([ String ]) –
No description available
`audio_type` ([ GstMpegts.Iso639AudioType ]) –
No description available

## GstMpegts.ISO639LanguageDescriptor

### Members

`nb_language` (int) –
No description available
`language` ([ str ]) –
No description available
`audio_type` ([ GstMpegts.Iso639AudioType ]) –
No description available

### Methods

#### gst_mpegts_iso_639_language_descriptor_free

    gst_mpegts_iso_639_language_descriptor_free (GstMpegtsISO639LanguageDescriptor * desc)

Parameters:

`desc` –
No description available

#### GstMpegts.ISO639LanguageDescriptor.prototype.descriptor_free

    function GstMpegts.ISO639LanguageDescriptor.prototype.descriptor_free(): {
        // javascript wrapper for 'gst_mpegts_iso_639_language_descriptor_free'
    }

Parameters:

`desc` (GstMpegts.ISO639LanguageDescriptor) –
No description available

#### GstMpegts.ISO639LanguageDescriptor.descriptor_free

    def GstMpegts.ISO639LanguageDescriptor.descriptor_free (self):
        #python wrapper for 'gst_mpegts_iso_639_language_descriptor_free'

Parameters:

`desc` (GstMpegts.ISO639LanguageDescriptor) –
No description available

## GstMpegtsLogicalChannel

### Members

`service_id` (guint16) –
No description available
`visible_service` (gboolean) –
No description available
`logical_channel_number` (guint16) –
No description available

## GstMpegts.LogicalChannel

### Members

`service_id` (Number) –
No description available
`visible_service` (Number) –
No description available
`logical_channel_number` (Number) –
No description available

## GstMpegts.LogicalChannel

### Members

`service_id` (int) –
No description available
`visible_service` (bool) –
No description available
`logical_channel_number` (int) –
No description available

## GstMpegtsLogicalChannelDescriptor

### Members

`nb_channels` (guint) –
No description available
`channels` (GstMpegtsLogicalChannel *) –
No description available

## GstMpegts.LogicalChannelDescriptor

### Members

`nb_channels` (Number) –
No description available
`channels` ([ GstMpegts.LogicalChannel ]) –
No description available

## GstMpegts.LogicalChannelDescriptor

### Members

`nb_channels` (int) –
No description available
`channels` ([ GstMpegts.LogicalChannel ]) –
No description available

## Functions

### gst_mpegts_find_descriptor

    const GstMpegtsDescriptor *
    gst_mpegts_find_descriptor (GPtrArray * descriptors,
                                guint8 tag)

Finds the first descriptor of type tag in the array.

Note: To look for descriptors that can be present more than once in an array of descriptors, iterate the GArray manually.

Parameters:

`descriptors` ( [element-typeGstMpegtsDescriptor][transfer: none]) –

an array of GstMpegtsDescriptor

`tag` –

the tag to look for

Returns ( [transfer: none]) –

the first descriptor matching tag, else NULL.

### GstMpegts.prototype.find_descriptor

    function GstMpegts.prototype.find_descriptor(descriptors: [ GstMpegts.Descriptor ], tag: Number): {
        // javascript wrapper for 'gst_mpegts_find_descriptor'
    }

Finds the first descriptor of type tag in the array.

Note: To look for descriptors that can be present more than once in an array of descriptors, iterate the GArray (not introspectable) manually.

Parameters:

`descriptors` ([ GstMpegts.Descriptor ]) –

an array of GstMpegts.Descriptor

`tag` (Number) –

the tag to look for

Returns (GstMpegts.Descriptor) –

the first descriptor matching tag, else NULL.

### GstMpegts.find_descriptor

    def GstMpegts.find_descriptor (descriptors, tag):
        #python wrapper for 'gst_mpegts_find_descriptor'

Finds the first descriptor of type tag in the array.

Note: To look for descriptors that can be present more than once in an array of descriptors, iterate the GArray (not introspectable) manually.

Parameters:

`descriptors` ([ GstMpegts.Descriptor ]) –

an array of GstMpegts.Descriptor

`tag` (int) –

the tag to look for

Returns (GstMpegts.Descriptor) –

the first descriptor matching tag, else NULL.

### gst_mpegts_find_descriptor_with_extension

    const GstMpegtsDescriptor *
    gst_mpegts_find_descriptor_with_extension (GPtrArray * descriptors,
                                               guint8 tag,
                                               guint8 tag_extension)

Finds the first descriptor of type tag with tag_extension in the array.

Note: To look for descriptors that can be present more than once in an array of descriptors, iterate the GArray manually.

Parameters:

`descriptors` ( [element-typeGstMpegtsDescriptor][transfer: none]) –

an array of GstMpegtsDescriptor

`tag` –

the tag to look for

`tag_extension` –
No description available
Returns ( [transfer: none]) –

the first descriptor matchin tag with tag_extension, else NULL.

Since : 1.20

### GstMpegts.prototype.find_descriptor_with_extension

    function GstMpegts.prototype.find_descriptor_with_extension(descriptors: [ GstMpegts.Descriptor ], tag: Number, tag_extension: Number): {
        // javascript wrapper for 'gst_mpegts_find_descriptor_with_extension'
    }

Finds the first descriptor of type tag with tag_extension in the array.

Note: To look for descriptors that can be present more than once in an array of descriptors, iterate the GArray (not introspectable) manually.

Parameters:

`descriptors` ([ GstMpegts.Descriptor ]) –

an array of GstMpegts.Descriptor

`tag` (Number) –

the tag to look for

`tag_extension` (Number) –
No description available
Returns (GstMpegts.Descriptor) –

the first descriptor matchin tag with tag_extension, else NULL.

Since : 1.20

### GstMpegts.find_descriptor_with_extension

    def GstMpegts.find_descriptor_with_extension (descriptors, tag, tag_extension):
        #python wrapper for 'gst_mpegts_find_descriptor_with_extension'

Finds the first descriptor of type tag with tag_extension in the array.

Note: To look for descriptors that can be present more than once in an array of descriptors, iterate the GArray (not introspectable) manually.

Parameters:

`descriptors` ([ GstMpegts.Descriptor ]) –

an array of GstMpegts.Descriptor

`tag` (int) –

the tag to look for

`tag_extension` (int) –
No description available
Returns (GstMpegts.Descriptor) –

the first descriptor matchin tag with tag_extension, else NULL.

Since : 1.20

### gst_mpegts_parse_descriptors

    GPtrArray *
    gst_mpegts_parse_descriptors (guint8* buffer,
                                  gsize buf_len)

Parses the descriptors present in buffer and returns them as an array.

Note: The data provided in buffer will not be copied.

Parameters:

`buffer` ( [transfer: none]) –

descriptors to parse

`buf_len` –

Size of buffer

Returns ( [transfer: full][element-typeGstMpegtsDescriptor]) –

an array of the parsed descriptors or NULL if there was an error. Release with g_array_unref when done with it.

### GstMpegts.prototype.parse_descriptors

    function GstMpegts.prototype.parse_descriptors(buffer: Number, buf_len: Number): {
        // javascript wrapper for 'gst_mpegts_parse_descriptors'
    }

Parses the descriptors present in buffer and returns them as an array.

Note: The data provided in buffer will not be copied.

Parameters:

`buffer` (Number) –

descriptors to parse

`buf_len` (Number) –

Size of buffer

Returns ([ GstMpegts.Descriptor ]) –

an array of the parsed descriptors or NULL if there was an error. Release with g_array_unref (not introspectable) when done with it.

### GstMpegts.parse_descriptors

    def GstMpegts.parse_descriptors (buffer, buf_len):
        #python wrapper for 'gst_mpegts_parse_descriptors'

Parses the descriptors present in buffer and returns them as an array.

Note: The data provided in buffer will not be copied.

Parameters:

`buffer` (int) –

descriptors to parse

`buf_len` (int) –

Size of buffer

Returns ([ GstMpegts.Descriptor ]) –

an array of the parsed descriptors or NULL if there was an error. Release with g_array_unref (not introspectable) when done with it.

## Enumerations

### GstMpegtsDescriptorType

The type of GstMpegtsDescriptor

These values correspond to the registered descriptor type from the base MPEG-TS specifications (ITU H.222.0 | ISO/IEC 13818-1).

Consult the relevant specifications for more details.

##### Members

`GST_MTS_DESC_RESERVED_00` (0) –
No description available
`GST_MTS_DESC_RESERVED_01` (1) –
No description available
`GST_MTS_DESC_VIDEO_STREAM` (2) –
No description available
`GST_MTS_DESC_AUDIO_STREAM` (3) –
No description available
`GST_MTS_DESC_HIERARCHY` (4) –
No description available
`GST_MTS_DESC_REGISTRATION` (5) –
No description available
`GST_MTS_DESC_DATA_STREAM_ALIGNMENT` (6) –
No description available
`GST_MTS_DESC_TARGET_BACKGROUND_GRID` (7) –
No description available
`GST_MTS_DESC_VIDEO_WINDOW` (8) –
No description available
`GST_MTS_DESC_CA` (9) –
No description available
`GST_MTS_DESC_ISO_639_LANGUAGE` (10) –
No description available
`GST_MTS_DESC_SYSTEM_CLOCK` (11) –
No description available
`GST_MTS_DESC_MULTIPLEX_BUFFER_UTILISATION` (12) –
No description available
`GST_MTS_DESC_COPYRIGHT` (13) –
No description available
`GST_MTS_DESC_MAXIMUM_BITRATE` (14) –
No description available
`GST_MTS_DESC_PRIVATE_DATA_INDICATOR` (15) –
No description available
`GST_MTS_DESC_SMOOTHING_BUFFER` (16) –
No description available
`GST_MTS_DESC_STD` (17) –
No description available
`GST_MTS_DESC_IBP` (18) –
No description available
`GST_MTS_DESC_DSMCC_CAROUSEL_IDENTIFIER` (19) –
No description available
`GST_MTS_DESC_DSMCC_ASSOCIATION_TAG` (20) –
No description available
`GST_MTS_DESC_DSMCC_DEFERRED_ASSOCIATION_TAG` (21) –
No description available
`GST_MTS_DESC_DSMCC_NPT_REFERENCE` (23) –
No description available
`GST_MTS_DESC_DSMCC_NPT_ENDPOINT` (24) –
No description available
`GST_MTS_DESC_DSMCC_STREAM_MODE` (25) –
No description available
`GST_MTS_DESC_DSMCC_STREAM_EVENT` (26) –
No description available
`GST_MTS_DESC_MPEG4_VIDEO` (27) –
No description available
`GST_MTS_DESC_MPEG4_AUDIO` (28) –
No description available
`GST_MTS_DESC_IOD` (29) –
No description available
`GST_MTS_DESC_SL` (30) –
No description available
`GST_MTS_DESC_FMC` (31) –
No description available
`GST_MTS_DESC_EXTERNAL_ES_ID` (32) –
No description available
`GST_MTS_DESC_MUX_CODE` (33) –
No description available
`GST_MTS_DESC_FMX_BUFFER_SIZE` (34) –
No description available
`GST_MTS_DESC_MULTIPLEX_BUFFER` (35) –
No description available
`GST_MTS_DESC_CONTENT_LABELING` (36) –
No description available
`GST_MTS_DESC_METADATA_POINTER` (37) –
No description available
`GST_MTS_DESC_METADATA` (38) –
No description available
`GST_MTS_DESC_METADATA_STD` (39) –
No description available
`GST_MTS_DESC_AVC_VIDEO` (40) –
No description available
`GST_MTS_DESC_IPMP` (41) –
No description available
`GST_MTS_DESC_AVC_TIMING_AND_HRD` (42) –
No description available
`GST_MTS_DESC_MPEG2_AAC_AUDIO` (43) –
No description available
`GST_MTS_DESC_FLEX_MUX_TIMING` (44) –
No description available
`GST_MTS_DESC_MPEG4_TEXT` (45) –
No description available
`GST_MTS_DESC_MPEG4_AUDIO_EXTENSION` (46) –
No description available
`GST_MTS_DESC_AUXILIARY_VIDEO_STREAM` (47) –
No description available
`GST_MTS_DESC_SVC_EXTENSION` (48) –
No description available
`GST_MTS_DESC_MVC_EXTENSION` (49) –
No description available
`GST_MTS_DESC_J2K_VIDEO` (50) –
No description available
`GST_MTS_DESC_MVC_OPERATION_POINT` (51) –
No description available
`GST_MTS_DESC_MPEG2_STEREOSCOPIC_VIDEO_FORMAT` (52) –
No description available
`GST_MTS_DESC_STEREOSCOPIC_PROGRAM_INFO` (53) –
No description available
`GST_MTS_DESC_STEREOSCOPIC_VIDEO_INFO` (54) –
No description available

### GstMpegts.DescriptorType

The type of GstMpegts.Descriptor

These values correspond to the registered descriptor type from the base MPEG-TS specifications (ITU H.222.0 | ISO/IEC 13818-1).

Consult the relevant specifications for more details.

##### Members

`GstMpegts.DescriptorType.RESERVED_00` (0) –
No description available
`GstMpegts.DescriptorType.RESERVED_01` (1) –
No description available
`GstMpegts.DescriptorType.VIDEO_STREAM` (2) –
No description available
`GstMpegts.DescriptorType.AUDIO_STREAM` (3) –
No description available
`GstMpegts.DescriptorType.HIERARCHY` (4) –
No description available
`GstMpegts.DescriptorType.REGISTRATION` (5) –
No description available
`GstMpegts.DescriptorType.DATA_STREAM_ALIGNMENT` (6) –
No description available
`GstMpegts.DescriptorType.TARGET_BACKGROUND_GRID` (7) –
No description available
`GstMpegts.DescriptorType.VIDEO_WINDOW` (8) –
No description available
`GstMpegts.DescriptorType.CA` (9) –
No description available
`GstMpegts.DescriptorType.ISO_639_LANGUAGE` (10) –
No description available
`GstMpegts.DescriptorType.SYSTEM_CLOCK` (11) –
No description available
`GstMpegts.DescriptorType.MULTIPLEX_BUFFER_UTILISATION` (12) –
No description available
`GstMpegts.DescriptorType.COPYRIGHT` (13) –
No description available
`GstMpegts.DescriptorType.MAXIMUM_BITRATE` (14) –
No description available
`GstMpegts.DescriptorType.PRIVATE_DATA_INDICATOR` (15) –
No description available
`GstMpegts.DescriptorType.SMOOTHING_BUFFER` (16) –
No description available
`GstMpegts.DescriptorType.STD` (17) –
No description available
`GstMpegts.DescriptorType.IBP` (18) –
No description available
`GstMpegts.DescriptorType.DSMCC_CAROUSEL_IDENTIFIER` (19) –
No description available
`GstMpegts.DescriptorType.DSMCC_ASSOCIATION_TAG` (20) –
No description available
`GstMpegts.DescriptorType.DSMCC_DEFERRED_ASSOCIATION_TAG` (21) –
No description available
`GstMpegts.DescriptorType.DSMCC_NPT_REFERENCE` (23) –
No description available
`GstMpegts.DescriptorType.DSMCC_NPT_ENDPOINT` (24) –
No description available
`GstMpegts.DescriptorType.DSMCC_STREAM_MODE` (25) –
No description available
`GstMpegts.DescriptorType.DSMCC_STREAM_EVENT` (26) –
No description available
`GstMpegts.DescriptorType.MPEG4_VIDEO` (27) –
No description available
`GstMpegts.DescriptorType.MPEG4_AUDIO` (28) –
No description available
`GstMpegts.DescriptorType.IOD` (29) –
No description available
`GstMpegts.DescriptorType.SL` (30) –
No description available
`GstMpegts.DescriptorType.FMC` (31) –
No description available
`GstMpegts.DescriptorType.EXTERNAL_ES_ID` (32) –
No description available
`GstMpegts.DescriptorType.MUX_CODE` (33) –
No description available
`GstMpegts.DescriptorType.FMX_BUFFER_SIZE` (34) –
No description available
`GstMpegts.DescriptorType.MULTIPLEX_BUFFER` (35) –
No description available
`GstMpegts.DescriptorType.CONTENT_LABELING` (36) –
No description available
`GstMpegts.DescriptorType.METADATA_POINTER` (37) –
No description available
`GstMpegts.DescriptorType.METADATA` (38) –
No description available
`GstMpegts.DescriptorType.METADATA_STD` (39) –
No description available
`GstMpegts.DescriptorType.AVC_VIDEO` (40) –
No description available
`GstMpegts.DescriptorType.IPMP` (41) –
No description available
`GstMpegts.DescriptorType.AVC_TIMING_AND_HRD` (42) –
No description available
`GstMpegts.DescriptorType.MPEG2_AAC_AUDIO` (43) –
No description available
`GstMpegts.DescriptorType.FLEX_MUX_TIMING` (44) –
No description available
`GstMpegts.DescriptorType.MPEG4_TEXT` (45) –
No description available
`GstMpegts.DescriptorType.MPEG4_AUDIO_EXTENSION` (46) –
No description available
`GstMpegts.DescriptorType.AUXILIARY_VIDEO_STREAM` (47) –
No description available
`GstMpegts.DescriptorType.SVC_EXTENSION` (48) –
No description available
`GstMpegts.DescriptorType.MVC_EXTENSION` (49) –
No description available
`GstMpegts.DescriptorType.J2K_VIDEO` (50) –
No description available
`GstMpegts.DescriptorType.MVC_OPERATION_POINT` (51) –
No description available
`GstMpegts.DescriptorType.MPEG2_STEREOSCOPIC_VIDEO_FORMAT` (52) –
No description available
`GstMpegts.DescriptorType.STEREOSCOPIC_PROGRAM_INFO` (53) –
No description available
`GstMpegts.DescriptorType.STEREOSCOPIC_VIDEO_INFO` (54) –
No description available

### GstMpegts.DescriptorType

The type of GstMpegts.Descriptor

These values correspond to the registered descriptor type from the base MPEG-TS specifications (ITU H.222.0 | ISO/IEC 13818-1).

Consult the relevant specifications for more details.

##### Members

`GstMpegts.DescriptorType.RESERVED_00` (0) –
No description available
`GstMpegts.DescriptorType.RESERVED_01` (1) –
No description available
`GstMpegts.DescriptorType.VIDEO_STREAM` (2) –
No description available
`GstMpegts.DescriptorType.AUDIO_STREAM` (3) –
No description available
`GstMpegts.DescriptorType.HIERARCHY` (4) –
No description available
`GstMpegts.DescriptorType.REGISTRATION` (5) –
No description available
`GstMpegts.DescriptorType.DATA_STREAM_ALIGNMENT` (6) –
No description available
`GstMpegts.DescriptorType.TARGET_BACKGROUND_GRID` (7) –
No description available
`GstMpegts.DescriptorType.VIDEO_WINDOW` (8) –
No description available
`GstMpegts.DescriptorType.CA` (9) –
No description available
`GstMpegts.DescriptorType.ISO_639_LANGUAGE` (10) –
No description available
`GstMpegts.DescriptorType.SYSTEM_CLOCK` (11) –
No description available
`GstMpegts.DescriptorType.MULTIPLEX_BUFFER_UTILISATION` (12) –
No description available
`GstMpegts.DescriptorType.COPYRIGHT` (13) –
No description available
`GstMpegts.DescriptorType.MAXIMUM_BITRATE` (14) –
No description available
`GstMpegts.DescriptorType.PRIVATE_DATA_INDICATOR` (15) –
No description available
`GstMpegts.DescriptorType.SMOOTHING_BUFFER` (16) –
No description available
`GstMpegts.DescriptorType.STD` (17) –
No description available
`GstMpegts.DescriptorType.IBP` (18) –
No description available
`GstMpegts.DescriptorType.DSMCC_CAROUSEL_IDENTIFIER` (19) –
No description available
`GstMpegts.DescriptorType.DSMCC_ASSOCIATION_TAG` (20) –
No description available
`GstMpegts.DescriptorType.DSMCC_DEFERRED_ASSOCIATION_TAG` (21) –
No description available
`GstMpegts.DescriptorType.DSMCC_NPT_REFERENCE` (23) –
No description available
`GstMpegts.DescriptorType.DSMCC_NPT_ENDPOINT` (24) –
No description available
`GstMpegts.DescriptorType.DSMCC_STREAM_MODE` (25) –
No description available
`GstMpegts.DescriptorType.DSMCC_STREAM_EVENT` (26) –
No description available
`GstMpegts.DescriptorType.MPEG4_VIDEO` (27) –
No description available
`GstMpegts.DescriptorType.MPEG4_AUDIO` (28) –
No description available
`GstMpegts.DescriptorType.IOD` (29) –
No description available
`GstMpegts.DescriptorType.SL` (30) –
No description available
`GstMpegts.DescriptorType.FMC` (31) –
No description available
`GstMpegts.DescriptorType.EXTERNAL_ES_ID` (32) –
No description available
`GstMpegts.DescriptorType.MUX_CODE` (33) –
No description available
`GstMpegts.DescriptorType.FMX_BUFFER_SIZE` (34) –
No description available
`GstMpegts.DescriptorType.MULTIPLEX_BUFFER` (35) –
No description available
`GstMpegts.DescriptorType.CONTENT_LABELING` (36) –
No description available
`GstMpegts.DescriptorType.METADATA_POINTER` (37) –
No description available
`GstMpegts.DescriptorType.METADATA` (38) –
No description available
`GstMpegts.DescriptorType.METADATA_STD` (39) –
No description available
`GstMpegts.DescriptorType.AVC_VIDEO` (40) –
No description available
`GstMpegts.DescriptorType.IPMP` (41) –
No description available
`GstMpegts.DescriptorType.AVC_TIMING_AND_HRD` (42) –
No description available
`GstMpegts.DescriptorType.MPEG2_AAC_AUDIO` (43) –
No description available
`GstMpegts.DescriptorType.FLEX_MUX_TIMING` (44) –
No description available
`GstMpegts.DescriptorType.MPEG4_TEXT` (45) –
No description available
`GstMpegts.DescriptorType.MPEG4_AUDIO_EXTENSION` (46) –
No description available
`GstMpegts.DescriptorType.AUXILIARY_VIDEO_STREAM` (47) –
No description available
`GstMpegts.DescriptorType.SVC_EXTENSION` (48) –
No description available
`GstMpegts.DescriptorType.MVC_EXTENSION` (49) –
No description available
`GstMpegts.DescriptorType.J2K_VIDEO` (50) –
No description available
`GstMpegts.DescriptorType.MVC_OPERATION_POINT` (51) –
No description available
`GstMpegts.DescriptorType.MPEG2_STEREOSCOPIC_VIDEO_FORMAT` (52) –
No description available
`GstMpegts.DescriptorType.STEREOSCOPIC_PROGRAM_INFO` (53) –
No description available
`GstMpegts.DescriptorType.STEREOSCOPIC_VIDEO_INFO` (54) –
No description available

### GstMpegtsIso639AudioType

##### Members

`GST_MPEGTS_AUDIO_TYPE_UNDEFINED` (0) –
No description available
`GST_MPEGTS_AUDIO_TYPE_CLEAN_EFFECTS` (1) –
No description available
`GST_MPEGTS_AUDIO_TYPE_HEARING_IMPAIRED` (2) –
No description available
`GST_MPEGTS_AUDIO_TYPE_VISUAL_IMPAIRED_COMMENTARY` (3) –
No description available

### GstMpegts.Iso639AudioType

##### Members

`GstMpegts.Iso639AudioType.UNDEFINED` (0) –
No description available
`GstMpegts.Iso639AudioType.CLEAN_EFFECTS` (1) –
No description available
`GstMpegts.Iso639AudioType.HEARING_IMPAIRED` (2) –
No description available
`GstMpegts.Iso639AudioType.VISUAL_IMPAIRED_COMMENTARY` (3) –
No description available

### GstMpegts.Iso639AudioType

##### Members

`GstMpegts.Iso639AudioType.UNDEFINED` (0) –
No description available
`GstMpegts.Iso639AudioType.CLEAN_EFFECTS` (1) –
No description available
`GstMpegts.Iso639AudioType.HEARING_IMPAIRED` (2) –
No description available
`GstMpegts.Iso639AudioType.VISUAL_IMPAIRED_COMMENTARY` (3) –
No description available

### GstMpegtsMiscDescriptorType

The type of GstMpegtsDescriptor

These values correspond to miscellaneous descriptor types that are not yet identified from known specifications.

##### Members

`GST_MTS_DESC_DTG_LOGICAL_CHANNEL` (131) –
No description available

### GstMpegts.MiscDescriptorType

The type of GstMpegts.Descriptor

These values correspond to miscellaneous descriptor types that are not yet identified from known specifications.

##### Members

`GstMpegts.MiscDescriptorType.MTS_DESC_DTG_LOGICAL_CHANNEL` (131) –
No description available

### GstMpegts.MiscDescriptorType

The type of GstMpegts.Descriptor

These values correspond to miscellaneous descriptor types that are not yet identified from known specifications.

##### Members

`GstMpegts.MiscDescriptorType.MTS_DESC_DTG_LOGICAL_CHANNEL` (131) –
No description available

### GstMpegtsRegistrationId

Well-known registration ids, expressed as native-endian 32bit integers. These are used in descriptors of type GST_MTS_DESC_REGISTRATION. Unless specified otherwise (by use of the "OTHER" prefix), they are all registered by the SMPTE Registration Authority or specified in "official" documentation for the given format.

##### Members

`GST_MTS_REGISTRATION_0` (0) –

Undefined registration id

`GST_MTS_REGISTRATION_AC_3` (1094921523) –

Audio AC-3, ATSC A/52

`GST_MTS_REGISTRATION_CUEI` (1129661769) –

SCTE 35, "Digital Program Insertion Cueing Message"

`GST_MTS_REGISTRATION_drac` (1685217635) –

Dirac Video codec

`GST_MTS_REGISTRATION_DTS1` (1146377009) –

DTS Audio

`GST_MTS_REGISTRATION_DTS2` (1146377010) –

DTS Audio

`GST_MTS_REGISTRATION_DTS3` (1146377011) –

DTS Audio

`GST_MTS_REGISTRATION_BSSD` (1112757060) –

SMPTE 302M, Mapping of AES3 Data in mpeg-ts

`GST_MTS_REGISTRATION_EAC3` (1161904947) –

Enhanced AC-3 (i.e. EAC3)

`GST_MTS_REGISTRATION_ETV1` (1163154993) –

Cablelabs ETV

`GST_MTS_REGISTRATION_GA94` (1195456820) –

ATSC A/53 compliant stream (i.e. ATSC)

`GST_MTS_REGISTRATION_HDMV` (1212435798) –

Blu-ray, "System Description Blu-ray Disc Read-Only Format part 3 Audio Visual Basic Specifications"

`GST_MTS_REGISTRATION_KLVA` (1263294017) –

SMPTE RP217 : Non-synchronized Mapping of KLV Packets in mpeg-ts

`GST_MTS_REGISTRATION_OPUS` (1330664787) –

Opus Audio

`GST_MTS_REGISTRATION_TSHV` (1414744150) –

HDV (Sony)

`GST_MTS_REGISTRATION_VC_1` (1447243057) –

Video VC-1, SMPTE RP227 "VC-1 Bitstream Transport Encodings"

`GST_MTS_REGISTRATION_AC_4` (1094921524) –

Audio AC-4, ETSI 103 190-2

`GST_MTS_REGISTRATION_OTHER_HEVC` (1212503619) –

HEVC / h265

Since : 1.20

### GstMpegts.RegistrationId

Well-known registration ids, expressed as native-endian 32bit integers. These are used in descriptors of type GstMpegts.DescriptorType.REGISTRATION. Unless specified otherwise (by use of the "OTHER" prefix), they are all registered by the SMPTE Registration Authority or specified in "official" documentation for the given format.

##### Members

`GstMpegts.RegistrationId.0` (0) –

Undefined registration id

`GstMpegts.RegistrationId.AC_3` (1094921523) –

Audio AC-3, ATSC A/52

`GstMpegts.RegistrationId.CUEI` (1129661769) –

SCTE 35, "Digital Program Insertion Cueing Message"

`GstMpegts.RegistrationId.DRAC` (1685217635) –

Dirac Video codec

`GstMpegts.RegistrationId.DTS1` (1146377009) –

DTS Audio

`GstMpegts.RegistrationId.DTS2` (1146377010) –

DTS Audio

`GstMpegts.RegistrationId.DTS3` (1146377011) –

DTS Audio

`GstMpegts.RegistrationId.BSSD` (1112757060) –

SMPTE 302M, Mapping of AES3 Data in mpeg-ts

`GstMpegts.RegistrationId.EAC3` (1161904947) –

Enhanced AC-3 (i.e. EAC3)

`GstMpegts.RegistrationId.ETV1` (1163154993) –

Cablelabs ETV

`GstMpegts.RegistrationId.GA94` (1195456820) –

ATSC A/53 compliant stream (i.e. ATSC)

`GstMpegts.RegistrationId.HDMV` (1212435798) –

Blu-ray, "System Description Blu-ray Disc Read-Only Format part 3 Audio Visual Basic Specifications"

`GstMpegts.RegistrationId.KLVA` (1263294017) –

SMPTE RP217 : Non-synchronized Mapping of KLV Packets in mpeg-ts

`GstMpegts.RegistrationId.OPUS` (1330664787) –

Opus Audio

`GstMpegts.RegistrationId.TSHV` (1414744150) –

HDV (Sony)

`GstMpegts.RegistrationId.VC_1` (1447243057) –

Video VC-1, SMPTE RP227 "VC-1 Bitstream Transport Encodings"

`GstMpegts.RegistrationId.AC_4` (1094921524) –

Audio AC-4, ETSI 103 190-2

`GstMpegts.RegistrationId.OTHER_HEVC` (1212503619) –

HEVC / h265

Since : 1.20

### GstMpegts.RegistrationId

Well-known registration ids, expressed as native-endian 32bit integers. These are used in descriptors of type GstMpegts.DescriptorType.REGISTRATION. Unless specified otherwise (by use of the "OTHER" prefix), they are all registered by the SMPTE Registration Authority or specified in "official" documentation for the given format.

##### Members

`GstMpegts.RegistrationId.0` (0) –

Undefined registration id

`GstMpegts.RegistrationId.AC_3` (1094921523) –

Audio AC-3, ATSC A/52

`GstMpegts.RegistrationId.CUEI` (1129661769) –

SCTE 35, "Digital Program Insertion Cueing Message"

`GstMpegts.RegistrationId.DRAC` (1685217635) –

Dirac Video codec

`GstMpegts.RegistrationId.DTS1` (1146377009) –

DTS Audio

`GstMpegts.RegistrationId.DTS2` (1146377010) –

DTS Audio

`GstMpegts.RegistrationId.DTS3` (1146377011) –

DTS Audio

`GstMpegts.RegistrationId.BSSD` (1112757060) –

SMPTE 302M, Mapping of AES3 Data in mpeg-ts

`GstMpegts.RegistrationId.EAC3` (1161904947) –

Enhanced AC-3 (i.e. EAC3)

`GstMpegts.RegistrationId.ETV1` (1163154993) –

Cablelabs ETV

`GstMpegts.RegistrationId.GA94` (1195456820) –

ATSC A/53 compliant stream (i.e. ATSC)

`GstMpegts.RegistrationId.HDMV` (1212435798) –

Blu-ray, "System Description Blu-ray Disc Read-Only Format part 3 Audio Visual Basic Specifications"

`GstMpegts.RegistrationId.KLVA` (1263294017) –

SMPTE RP217 : Non-synchronized Mapping of KLV Packets in mpeg-ts

`GstMpegts.RegistrationId.OPUS` (1330664787) –

Opus Audio

`GstMpegts.RegistrationId.TSHV` (1414744150) –

HDV (Sony)

`GstMpegts.RegistrationId.VC_1` (1447243057) –

Video VC-1, SMPTE RP227 "VC-1 Bitstream Transport Encodings"

`GstMpegts.RegistrationId.AC_4` (1094921524) –

Audio AC-4, ETSI 103 190-2

`GstMpegts.RegistrationId.OTHER_HEVC` (1212503619) –

HEVC / h265

Since : 1.20

### GstMpegtsSCTEDescriptorType

These values correspond to the ones defined by SCTE (amongst other in ANSI/SCTE 57)

##### Members

`GST_MTS_DESC_SCTE_STUFFING` (128) –
No description available
`GST_MTS_DESC_SCTE_AC3` (129) –
No description available
`GST_MTS_DESC_SCTE_FRAME_RATE` (130) –
No description available
`GST_MTS_DESC_SCTE_EXTENDED_VIDEO` (131) –
No description available
`GST_MTS_DESC_SCTE_COMPONENT_NAME` (132) –
No description available
`GST_MTS_DESC_SCTE_FREQUENCY_SPEC` (144) –
No description available
`GST_MTS_DESC_SCTE_MODULATION_PARAMS` (145) –
No description available
`GST_MTS_DESC_SCTE_TRANSPORT_STREAM_ID` (146) –
No description available

Since : 1.20

### GstMpegts.SCTEDescriptorType

These values correspond to the ones defined by SCTE (amongst other in ANSI/SCTE 57)

##### Members

`GstMpegts.SCTEDescriptorType.STUFFING` (128) –
No description available
`GstMpegts.SCTEDescriptorType.AC3` (129) –
No description available
`GstMpegts.SCTEDescriptorType.FRAME_RATE` (130) –
No description available
`GstMpegts.SCTEDescriptorType.EXTENDED_VIDEO` (131) –
No description available
`GstMpegts.SCTEDescriptorType.COMPONENT_NAME` (132) –
No description available
`GstMpegts.SCTEDescriptorType.FREQUENCY_SPEC` (144) –
No description available
`GstMpegts.SCTEDescriptorType.MODULATION_PARAMS` (145) –
No description available
`GstMpegts.SCTEDescriptorType.TRANSPORT_STREAM_ID` (146) –
No description available

Since : 1.20

### GstMpegts.SCTEDescriptorType

These values correspond to the ones defined by SCTE (amongst other in ANSI/SCTE 57)

##### Members

`GstMpegts.SCTEDescriptorType.STUFFING` (128) –
No description available
`GstMpegts.SCTEDescriptorType.AC3` (129) –
No description available
`GstMpegts.SCTEDescriptorType.FRAME_RATE` (130) –
No description available
`GstMpegts.SCTEDescriptorType.EXTENDED_VIDEO` (131) –
No description available
`GstMpegts.SCTEDescriptorType.COMPONENT_NAME` (132) –
No description available
`GstMpegts.SCTEDescriptorType.FREQUENCY_SPEC` (144) –
No description available
`GstMpegts.SCTEDescriptorType.MODULATION_PARAMS` (145) –
No description available
`GstMpegts.SCTEDescriptorType.TRANSPORT_STREAM_ID` (146) –
No description available

Since : 1.20

## Constants

### GST_TYPE_MPEGTS_DESCRIPTOR

    #define GST_TYPE_MPEGTS_DESCRIPTOR (gst_mpegts_descriptor_get_type())

### GST_TYPE_MPEGTS_ISO_639_LANGUAGE

    #define GST_TYPE_MPEGTS_ISO_639_LANGUAGE (gst_mpegts_iso_639_language_get_type ())

### GST_TYPE_MPEGTS_LOGICAL_CHANNEL

    #define GST_TYPE_MPEGTS_LOGICAL_CHANNEL (gst_mpegts_logical_channel_get_type())

### GST_TYPE_MPEGTS_LOGICAL_CHANNEL_DESCRIPTOR

    #define GST_TYPE_MPEGTS_LOGICAL_CHANNEL_DESCRIPTOR (gst_mpegts_logical_channel_descriptor_get_type())

The results of the search are